﻿* Encoding: windows-1252.
* MICS6 SR.2.2.

* v01 - 2017-11-02.

** Information on household and personal assets are obtained in the Household Characteristics module of the Household Questionnaire: 
   Television (HC9A), refrigerator (HC9B), agricultural land (HC15), farm animals/livestock (HC17), watch (HC10A), bicycle (HC10B), motorcycle or scooter (HC10C), animal-drawn cart (HC10D), 
    car or truck (HC10E), boat with a motor (HC10F), computer or tablet (HC11), mobile telephone (HC12), and bank account (HC19). Ownership of dwelling is based on responses to HC14.

** Additional household and personal assets should to be added to the questionnaires (for wealth index construction) and shown in this table.

** DK/Missing values are included in the denominators and households with missing information are considered not to own or have these assets
    However, a careful examination of the extent of missing values needs to be undertaken prior to the construction of this table. If DK/Missing cases exceed 5 percent, this should be shown in the table.

** Most of the information collected on household and personal assets are used in the construction of the wealth index.


***.

* Call include file for the working directory and the survey name.
include "surveyname.sps".

* Open household data file.
get file = 'hh.sav'.

* Select interviewed households.
select if (HH46 = 1).

* Weight the data by the household weight.
weight by hhweight.

* recode variables to 100/0 as we are going to calculate the mean.
* missing values are treated as recoded to 0.
* YC: hc9d is not in standard. why the variables below are not in ascending order?. I changed empy to layer. 
recode hc9a hc9b hc9c hc10a hc10b hc10c hc10d hc10e hc10f hc10g hc11 hc12 hc15 hc17 hc19
     (1 = 100)
     (else = 0).

* producing variables for housing.
compute own    = (hc14 = 1) * 100 .
compute notown = (hc14 = 2 or hc14 = 6) * 100 .
compute rent   = (hc14 = 2) * 100 .
compute other  = (hc14 = 6) * 100 .
compute mis   = (hc14 = 9) * 100 .

variable labels
  own    "Owned by a household member"/
  notown "Not owned"/
  rent   "    Rented"/
  other  "    Other"/
  mis   "DK/Missing".

compute tot = 1.			
variable labels tot "".
value labels tot 1 "Total".

compute numHouseholds = 1.
variable labels numHouseholds "Number of households".
value labels numHouseholds 1 ' '.

variable labels
  hc9a 	"Television"/
  hc9b 	"Refrigerator"/
  hc9c 	"Country-specific items that run on electricity"/
  hc10a 	"Watch"/
  hc10b 	"Bicycle"/
  hc10c 	"Motorcycle or scooter"/
  hc10d 	"Animal-drawn cart"/
  hc10e 	"Car, truck, or van"/
  hc10f 	"Boat with a motor"/
  hc10g	"Country-specific items"/
  hc11 	"Computer or tablet"/
  hc12	"Mobile telephone"/
  hc15          "Agricultural land"/
  hc17         "Farm animals/Livestock" /
  hc19         "Bank account".

* producing the layers in tables.
compute layer1 = 0.
compute layer2 = 0.
compute layer3 = 0.
compute layer4 = 0.

value labels 
  layer1 0 "Percentage of households that own a"/
  layer2 0 "Percentage of households that own"   /
  layer3 0 "Percentage of households where at least one member owns or has a"/
  layer4 0 "Ownership of dwelling".

* Labels in French.

 * variable labels
  own    "Un membre du ménage propriétaire"/
  notown "Pas propriétaire"/
  rent   "    Rented"/
  other  "    Loué"/
  mis   "NSP/Manquant".

 * variable labels
  hc9a 	"Télévision"/
  hc9b 	"Réfrigérateur"/
  hc9c 	"Items spécifiques au pays fonctionnant avec l'électricité"/
  hc10a 	"Montre"/
  hc10b 	"Bicyclette"/
  hc10c 	"Motocyclette ou scoote"/
  hc10d 	"Charrette tirée par animal"/
  hc10e 	"Voiture ou camion"/
  hc10f 	"Bateau à moteur"/
  hc10g	"Items spécifiques au pays"/
  hc11 	"Ordinateur ou tablette"/
  hc12	"Telephone Mobile"/
  hc15          "Terres agricoles"/
  hc17         "Animaux de ferme/ Bétail" /
  hc19         "Compte bancaire".

 * value labels 
  layer1 0 "Pourcentage de ménages qui possèdent:"/
  layer2 0 "Pourcentage de ménages qui possèdent:"   /
  layer3 0 "Pourcentage de ménages dans lesquels au moins un membre possède : "/
  layer4 0 "Propriété du logement".
  
  * Labels in Spanish.

 * variable labels
  own    "Propiedad de algún miembre del hogar"/
  notown "No propiedad"/
  rent   "    Rentada/Alquilada"/
  other  "    Otra"/
  mis   "NS/Ignorado".

 * variable labels
  hc9a 	"Televisor"/
  hc9b 	"Refrigerador"/
  hc9c 	"Items específicos del país que funcionan con electricidad"/
  hc10a 	"Reloj de pulsera"/
  hc10b 	"Bicicleta"/
  hc10c 	"Motocicleta o motoneta"/
  hc10d 	"Carreta halada por animales"/
  hc10e 	"Coche, camión o camioneta"/
  hc10f 	"Barco con motor"/
  hc10g	"Items específicos del país "/
  hc11 	"Computadora o tableta"/
  hc12	"Teléfono móvil"/
  hc15          "Tierra para agricultura"/
  hc17         "Animales de granja/ganado" /
  hc19         "Cuenta bancaria".

 * value labels 
  layer1 0 "Porcentaje de hogares que poseen:"/
  layer2 0 "Porcentaje de hogares que poseen:"   /
  layer3 0 "Porcentaje de hogares donde al menos un miembro posee o tiene un: "/
  layer4 0 "Propiedad de la vivienda".


* Ctables command in English (currently active, comment it out if using different language).
* For first table.
ctables
  /vlabels variables = layer1 layer2 layer3 layer4 tot display = none
  /format missing=' '
  /table 
         layer1 [c] >
            (hc9a [s][mean f5.1]
           + hc9b [s][mean f5.1]
           + hc9c [s][mean f5.1])
         + layer2 [c] >
            (hc15 [s][mean f5.1]
           + hc17 [s][mean f5.1])
         + layer3 [c] >
            (hc10a [s][mean f5.1]
           + hc10b [s][mean f5.1]
           + hc10c [s][mean f5.1]
           + hc10d [s][mean f5.1]
           + hc10e [s][mean f5.1]
           + hc10f [s][mean f5.1]
           + hc10g [s][mean f5.1]
           + hc11 [s][mean f5.1]
           + hc12 [s][mean f5.1]
           + hc19 [s][mean f5.1])
         + layer4 [c] >
           (own    [s][mean f5.1]
           + notown [s][mean f5.1]
           + rent   [s][mean f5.1]
           + other  [s][mean f5.1]
           + mis   [s][mean f5.1])
   by
           tot [c]
         + hh6 [c]
         + hh7 [c]
  /slabels visible = no
  /titles title =
     "Table SR.2.2: Household and personal assets"
     "Percentage of households by ownership of selected household and personal assets, and percent distribution by ownership of dwelling, according to area of residence and regions, " + surveyname .

* The second table.
ctables
  /vlabels variables = tot display = none    
  /table  numHouseholds[c][count]
    by
          tot[c]
        + hh6[c]
        + hh7[c]
  /slabels visible = no position=row
  /titles title =
     "Table SR.2.2: Household and personal assets"
     "Percentage of households by ownership of selected household and personal assets, and percent distribution by ownership of dwelling, according to area of residence and regions, " + surveyname .



* Ctables command in French.
* For first table.
*
ctables
  /vlabels variables = layer1 layer2 layer3 layer4 tot display = none
  /format missing=' '
  /table 
         layer1 [c] >
            (hc9a [s][mean f5.1]
           + hc9b [s][mean f5.1]
           + hc9c [s][mean f5.1])
         + layer2 [c] >
            (hc15 [s][mean f5.1]
           + hc17 [s][mean f5.1])
         + layer3 [c] >
            (hc10a [s][mean f5.1]
           + hc10b [s][mean f5.1]
           + hc10c [s][mean f5.1]
           + hc10d [s][mean f5.1]
           + hc10e [s][mean f5.1]
           + hc10f [s][mean f5.1]
           + hc10g [s][mean f5.1]
           + hc11 [s][mean f5.1]
           + hc12 [s][mean f5.1]
           + hc19 [s][mean f5.1])
         + layer4 [c] >
           (own    [s][mean f5.1]
           + notown [s][mean f5.1]
           + rent   [s][mean f5.1]
           + other  [s][mean f5.1]
           + mis   [s][mean f5.1])
   by
           tot [c]
         + hh6 [c]
         + hh7 [c]
  /slabels visible = no
  /titles title =
     "Tableau SR.2.2: Biens des ménages et des individus"
     "Pourcentage de ménages selon la possession de biens par le ménage ou les individus du ménage sélectionnés et distribution " + 
        "en pourcentage selon la propriété du logement, selon le milieu de résidence et la région, " + surveyname .
						

* The second table in French.
*
ctables
  /vlabels variables = tot display = none    
  /table  numHouseholds[c][count]
    by
          tot[c]
        + hh6[c]
        + hh7[c]
  /slabels visible = no position=row
  /titles title =
     "Tableau SR.2.2: Biens des ménages et des individus"
     "Pourcentage de ménages selon la possession de biens par le ménage ou les individus du ménage sélectionnés et distribution " + 
        "en pourcentage selon la propriété du logement, selon le milieu de résidence et la région, " + surveyname .


* Ctables command in Spanish.
* For first table.
*
ctables
  /vlabels variables = layer1 layer2 layer3 layer4 tot display = none
  /format missing=' '
  /table 
         layer1 [c] >
            (hc9a [s][mean f5.1]
           + hc9b [s][mean f5.1]
           + hc9c [s][mean f5.1])
         + layer2 [c] >
            (hc15 [s][mean f5.1]
           + hc17 [s][mean f5.1])
         + layer3 [c] >
            (hc10a [s][mean f5.1]
           + hc10b [s][mean f5.1]
           + hc10c [s][mean f5.1]
           + hc10d [s][mean f5.1]
           + hc10e [s][mean f5.1]
           + hc10f [s][mean f5.1]
           + hc10g [s][mean f5.1]
           + hc11 [s][mean f5.1]
           + hc12 [s][mean f5.1]
           + hc19 [s][mean f5.1])
         + layer4 [c] >
           (own    [s][mean f5.1]
           + notown [s][mean f5.1]
           + rent   [s][mean f5.1]
           + other  [s][mean f5.1]
           + mis   [s][mean f5.1])
   by
           tot [c]
         + hh6 [c]
         + hh7 [c]
  /slabels visible = no
  /titles title =
     "Tabla SR.2.2: Bienes personales y del hogar"
     "Porcentaje de hogares según la tenencia de bienes seleccionados personales y del hogar, y distribución " + 
        "porcentual según la propiedad de la vivienda, de acuerdo al área de residencia y región, " + surveyname .
						

* The second table in Spanish.
*
ctables
  /vlabels variables = tot display = none    
  /table  numHouseholds[c][count]
    by
          tot[c]
        + hh6[c]
        + hh7[c]
  /slabels visible = no position=row
  /titles title =
     "Tabla SR.2.2: Bienes personales y del hogar"
     "Porcentaje de hogares según la tenencia de bienes seleccionados personales y del hogar, y distribución " + 
        "porcentual según la propiedad de la vivienda, de acuerdo al área de residencia y región, " + surveyname .
		
new file.