﻿* Encoding: windows-1252.
* MICS6 SR.5.1M.

* v01 - 2017-09-21.

** Total weighted and unweighted numbers of men should be equal when normalized sample weights are used.


***.


* Call include file for the working directory and the survey name.
include "surveyname.sps".

* Open men data file.
get file = 'mn.sav'.

include "CommonVarsMN.sps".

* Select only interviewed men.
select if (MWM17 = 1).

* Weight the data by the men weight.
weight by mnweight.

* Create marital status with separate groups for formerly married.
do if (MMA1 = 1 or MMA1 = 2).
+ compute mstatus1 = 1.
else if (MMA5 = 1 or MMA5 = 2).
+ compute mstatus1 = MMA6+1.
+ if (MMA6 = 9) mstatus1 = 9.
else if (MMA5 = 3).
+ compute mstatus1 = 5.
else.
+ compute mstatus1 = 9.
end if.
variable labels mstatus1 "Marital/Union status".
value labels mstatus1
    1 "Currently married/in union"
    2 "Widowed"
    3 "Divorced"
    4 "Separated"
    5 "Never married/in union"
    9 "Missing".

* Fatherhood status: Has at least one living child/Has no living children.
recode MCM1 (1 = 1) (8, 9 = 9) (else = 2) into fstatus.
variable labels fstatus "Fatherhood status".
value labels fstatus 
 1 "Has at least one living child"
 2 "Has no living children"
 9 "DK/Missing".

compute total = 1.
variable labels total "Total".
value labels total 1" ".

compute wp = 0.
variable labels wp " ".
compute nmm = 0.
variable labels nmm "Number of men".

* Labels in French.

 * variable labels mstatus1 "Situation de famille/Union".
 * value labels mstatus1
    1 "Marié actuellement/vit avec une femme"
    2 "Veuf"
    3 "Divorcé"
    4 "Séparé"
    5 "Jamais marié/vécu avec une femme"
    9 "Manquant".

 * variable labels fstatus "Statut de paternité".
 * value labels fstatus 
 1 "A au moins un enfant vivant"
 2 "N'a pas d'enfant vivant"
 9 "NSP/Manquant".
 
 * variable labels nmm "Nombre d'hommes".

* Labels in Spanish.

 * variable labels mstatus1 "Estado de matrimonio/unión".
 * value labels mstatus1
    1 "Actualmente casado/en unión"
    2 "Viudo"
    3 "Divorciado"
    4 "Separado"
    5 "Nunca casado/en unión"
    9 "Ignorado".

 * variable labels fstatus "Estado de paternidad".
 * value labels fstatus 
 1 "Tiene al menos un hijo vivo"
 2 "No tiene hijos vivos"
 9 "NS/Ignorado".
 
 * variable labels nmm "Número de hombres".
 
* Ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables = wp display = none
  /table  total [c]
         + hh6 [c]
         + hh7 [c]
         + $mwage [c]
         + mwelevel [c]
         + mstatus1 [c]
         + fstatus [c]
         + minsurance [c]
         + mdisability [c]
         + ethnicity[c]
         + windex5 [c]
   by
          wp [s] [colpct.count,'Weighted percent' f5.1]
        + nmm [s] [count, 'Weighted', f5.0, ucount, 'Unweighted', f5.0]
  /categories variables=all empty=exclude missing=exclude
  /titles title =
     "Table SR.5.1M: Men's background characteristics"
     "Percent and frequency distribution of men age 15-49 years by selected background characteristics, " + surveyname
  .


* Ctables command in French.
*
ctables
  /vlabels variables = wp display = none
  /table  total [c]
         + hh6 [c]
         + hh7 [c]
         + $mwage [c]
         + mwelevel [c]
         + mstatus1 [c]
         + fstatus [c]
         + minsurance [c]
         + mdisability [c]
         + ethnicity[c]
         + windex5 [c]
   by
          wp [s] [colpct.count,'Pourcentage pondéré' f5.1]
        + nmm [s] [count, 'Pondéré', f5.0, ucount, 'Non pondéré', f5.0]
  /categories variables=all empty=exclude missing=exclude
  /titles title =
     "Tableau SR.5.1M: Caractéristiques de base des hommes"
     "Distribution en pourcentage et fréquence des hommes âgés de 15-49 ans selon les caractéristiques de base sélectionnées, " + surveyname
  .		

* Ctables command in Spanish.
*
ctables
  /vlabels variables = wp display = none
  /table  total [c]
         + hh6 [c]
         + hh7 [c]
         + $mwage [c]
         + mwelevel [c]
         + mstatus1 [c]
         + fstatus [c]
         + minsurance [c]
         + mdisability [c]
         + ethnicity[c]
         + windex5 [c]
   by
          wp [s] [colpct.count,'Porcentaje ponderado' f5.1]
        + nmm [s] [count, 'Ponderado', f5.0, ucount, 'Sin ponderar', f5.0]
  /categories variables=all empty=exclude missing=exclude
  /titles title =
     "Tabla SR.5.1M: Características básicas de los hombres"
     "Distribución porcentual y frecuencial de hombres de 15-49 años por características básicas seleccionadas, " + surveyname
  .		

  new file.
