* Encoding: windows-1252.
 * Women who have ever had sex: SB1>00.

 * Women who had sex in the last 12 months: SB2<401.

 * Women who had more than one partner in the last 12 months: SB7=1.

 * Women who had sex in the last 12 months with more than one partner, who used a condom last time they had sex: SB7=1 and SB3=1.

 * The denominator for MICS indicator TM.24 is women who had more than one partner in the last 12 month, as shown above (SB7=1).


***.


include "surveyname.sps".

get file = 'wm.sav'.

include "CommonVarsWM.sps".

select if (WM17 = 1).

weight by wmweight.

include 'define\MICS6 - 06 - TM.sps' .

compute total = 1.
variable labels total "".
value labels total 1 "Total".

compute layer = 0.
variable labels layer "".
value labels layer 0 "Percentage of women who:".

compute numWomen = 1.
variable labels numWomen "".
value labels numWomen 1 "Number of women age 15-49 years".

if (sexEver = 100) numSexEver = 1 .
value labels numSexEver 1 "Number of women age 15-49 years who have ever had sex".

* For labels in French uncomment commands below.
* value labels 
     numSexEver 1 "Nombre de femmes de 15-49 ans qui ont eu plus d'un partenaire dans les 12 derniers mois"
	/numWomen 1 "Nombre de femmes de 15-49 ans"
	/layer 0 "Pourcentage de femmes qui:".
	
* For labels in Spanish uncomment commands below.
* value labels 
     numSexEver 1 "Nmero de mujeres de 15-49 aos que tuvieron ms de una pareja sexual en los ltimos 12 meses"
	/numWomen 1 "Nmero de mujeres de 15-49 aos"
	/layer 0 "Porcentaje de mujeres que:".

* ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables = total numWomen layer numWomenMorePartners numSexEver
           display = none
  /table   total [c]
         + HH6 [c]
         + HH7 [c]
         + $wagez [c]
         + welevel [c]
         + mstatus2 [c]
         + disability [c]
         + ethnicity [c]
         + windex5 [c]
   by
           layer [c]  > (
             sexEver [s] [mean '' f5.1]
           + sex12 [s] [mean '' f5.1]
           + morePartners [s] [mean '' f5.1] )
         + numWomen [c] [count '' f5.0]
         + usedCondom [s] [mean '' f5.1]
         + numWomenMorePartners [c] [count '' f5.0]
  /categories variables = all empty = exclude missing = exclude
  /slabels visible = no
  /titles title=
    "Table TM.10.1W: Sex with multiple partners (women)"
                  "Percentage of women age 15-49 years who ever had sex, percentage who had sex in the last 12 months, " +
	"percentage who had sex with more than one partner in the last 12 months, and among those " + 
                  "who had sex with multiple partners in the last 12 months, the percentage who used a condom at last sex, " + surveyname						
   caption=
    "[1] MICS indicator TM.22 - Multiple sexual partnerships"
    "[2] MICS indicator TM.23 - Condom use at last sex among people with multiple sexual partnerships"
  .


* ctables command in French.
* ctables
  /vlabels variables = total numWomen layer numWomenMorePartners numSexEver
           display = none
  /table   total [c]
         + HH6 [c]
         + HH7 [c]
         + $wagez [c]
         + welevel [c]
         + mstatus2 [c]
         + disability [c]
         + ethnicity [c]
         + windex5 [c]
   by
           layer [c]  > (
             sexEver [s] [mean '' f5.1]
           + sex12 [s] [mean '' f5.1]
           + morePartners [s] [mean '' f5.1] )
         + numWomen [c] [count '' f5.0]
         + usedCondom [s] [mean '' f5.1]
         + numWomenMorePartners [c] [count '' f5.0]
  /categories variables = all empty = exclude missing = exclude
  /slabels visible = no
  /titles title=
    "Tableau TM.10.1W: Rapports sexuels avec partenaires multiples (femmes)"
                  "Pourcentage de femmes de 15-49 ans qui ont dj eu des rapports sexuels, pourcentage qui ont eu des rapports dans les 12 derniers mois, pourcentage qui ont eu des rapports avec plus d'un partenaire dans les 12 derniers mois, "+
	"nombre moyen de partenaires dans toute la vie pour les femmes qui ont dj eu des rapports et parmi celles qui ont eu plusieurs partenaires dans les 12 derniers mois, " +
                  "pourcentage de celles qui ont utilis un condom lors du dernier rapport sexuel, " + surveyname																																	
   caption=
    "[1] Indicateur MICS TM.22 - Rapports sexuels avec plusieurs partenaires "
    "[2] Indicateur MICS TM.23 - Utilisation d'un condom lors du dernier rapport sexuel parmi celles qui ont des partenaires multiples"
  .


* ctables command in Spanish.
* ctables
  /vlabels variables = total numWomen layer numWomenMorePartners numSexEver
           display = none
  /table   total [c]
         + HH6 [c]
         + HH7 [c]
         + $wagez [c]
         + welevel [c]
         + mstatus2 [c]
         + disability [c]
         + ethnicity [c]
         + windex5 [c]
   by
           layer [c]  > (
             sexEver [s] [mean '' f5.1]
           + sex12 [s] [mean '' f5.1]
           + morePartners [s] [mean '' f5.1] )
         + numWomen [c] [count '' f5.0]
         + usedCondom [s] [mean '' f5.1]
         + numWomenMorePartners [c] [count '' f5.0]
  /categories variables = all empty = exclude missing = exclude
  /slabels visible = no
  /titles title=
    "Tabla TM.10.1W: Sexo con mltiples parejas (mujeres)"
                  "Porcentaje de mujeres de 15-49 aos que han tenido sexo alguna vez, porcentaje de las que tuvieron sexo en los ltimos 12 meses, "+
	"porcentaje de las que tuvieron sexo con ms de una pareja en los 12 ltimos meses, y entre aquellas que tuvieron sexo con mltiples parejas en los ltimos 12 meses, " +
                  "el porcentaje de las que utilizaron condn durante la ltima relacin sexual, " + surveyname						
   caption=
    "[1] Indicador MICS  TM.22 - Parejas sexuales mltiples"
    "[2] Indicador MICS TM.23 - Uso de condn durante la ltima relacin sexual entre personas con parejas sexuales mltiples"
  .

new file.
