* Encoding: windows-1252.
 * Some columns in this table are presenting disaggregated information for men age 15-24 years that is already described in the respective tables for men age 15-49 years. Please refer to these tables 
  for detailed information on calculations:

 * Ever had sex: TM.10.1M
More than one partner in last 12 months: TM.10.1M
Condom use during last sex for women with multiple sex partners: TM.10.1M

 * Had sex before age 15:
 Calculated based on responses to MSB1 (MSB1<>0 AND MSB1<15). If the response is that the first time he had sex was when he started living with his first wife or partner (MSB1=95), then his age 
 at first sex is calculated from the date of first marriage/union or age at first marriage/union given in MMA8A/B and MMA11A/B (MSB1=95 and ((MMA8A/B-MWB3)<15 OR MMA11A/B<15)). These calculations 
 are performed with Century Month Codes (CMC).

 * Never had sex:
 This indicator is calculated only for men who have never been married (MMA5=3). Never had sex: MSB1=00.

 * Sex with a non-marital, non-cohabiting partner:
 Men who had more than one partner in the last 12 months (MSB2<401 and MSB7=1).

 * Condom use during last sex for men with a non-marital, non-cohabiting partner:
 Using the above as denominator, the numerator is: MSB3=1.

***.


include "surveyname.sps".

get file = 'mn.sav'.

include "CommonVarsMN.sps".

select if (MWM17 = 1).

weight by mnweight.

select if (mwage = 1 or mwage = 2) .

* include TM.M . 
include 'define\MICS6 - 06 - TM.M.sps' .

variable labels morePartners "Had sex with more than one partner in last 12 months" .
variable labels usedCondom "Percentage reporting that a condom was used the last time they had sex" .
variable labels numMenMorePartners "Number of men age 15-24 years who had sex with more than one partner in the last 12 months".

compute sexBefore15 = 0 .
if (sexEver<>0 and MSB1 < 15) sexBefore15 = 100 .
if (MSB1 = 95 and mwagem < 15) sexBefore15 = 100 .
variable labels sexBefore15 "Had sex before age 15 [1]" .

if (MMA5 = 3) neverHadSex = 0 .
if (MMA5 = 3 and MSB1 = 0) neverHadSex = 100 . 
variable labels neverHadSex "Percentage of men who never had sex [2]" .

if (sex12 <> 0) numMenSex12 = 1 .

variable labels numMenSex12 "Number of men age 15-24 years who had sex in the last 12 months" .

compute neverMarried = 0 .
* if (mmstatus = 3) neverMarried = 1 .
if (MMA1 = 3 and MMA5 = 3) neverMarried = 1 .
variable labels neverMarried "Number of never-married men age 15-24 years" .

compute menNonMaritalPartner = 0.
compute numMenNonMaritalPartner = 0.
if (MSB4 > 2 or MSB9 > 2) menNonMaritalPartner = 100.
if (MSB4 > 2 or MSB9 > 2) numMenNonMaritalPartner = 1.

variable labels menNonMaritalPartner "Percentage who in the last 12 months had sex with a non-marital, non-cohabiting partner [3]" .
variable labels numMenNonMaritalPartner "Number of men age 15-24 years who had sex with a non-marital, non-cohabiting partner in last 12 months" .

do if (numMenNonMaritalPartner <> 0) .
+ compute usedCondomNonMarital = 0 .
+ if ((MSB3 = 1 and MSB4 > 2) or
      (MSB8 = 1 and MSB9 > 2)   ) usedCondomNonMarital = 100 .
end if .

variable labels usedCondomNonMarital "Percentage reporting the use of a condom during the last sexual intercourse with a non-marital, non-cohabiting partner in the last 12 months [4]" .

compute total = 1.
variable labels total "".
value labels total 1 "Total".

compute layerWho = 0.
variable labels layerWho "".
value labels layerWho 0 "Percentage of men age 15-24 years who:".

compute numMen = 1.
variable labels numMen "".
value labels numMen 1 "Number of men age 15-24 years".

* For labels in French uncomment commands below.
* variable labels
     morePartners "Ont eu des rapports sexuels avec plus d'un partenaire dans les 12 derniers mois"
	/usedCondom "Pourcentage rapportant qu'un condom a t utilis la dernire fois qu'elles ont eu des rapports sexuels" 
	/numMenMorePartners "Nombre de hommes de 15-24 ans qui ont eu des rapports sexuels avec un partenaire non-marital, non cohabitant dans les 12 derniers mois"
	/sexEver "Ont dj eu des rapports sexuels"
	/sexBefore15 "Eu des rapports sexuels avant 15 ans [1]"
	/neverHadSex "Pourcentage de hommes qui n'ont jamais eu des rapports sexuels [2]"
	/numMenSex12 "Nombre de hommes de 15-24 ans qui ont eu des rapports sexuels dans les 12 derniers mois "
	/neverMarried "Nombre de hommes de 15-24 ans jamais maris"
	/menNonMaritalPartner "Pourcentage qui, au cours des 12 derniers mois, a eu des relations sexuelles avec un partenaire non matrimonial et non cohabitant [3]" 
	/numMenNonMaritalPartner "Nombre de hommes de 15-24 ans qui ont eu des rapports sexuels avec un partenaire non-marital, non cohabitant dans les 12 derniers mois" 
	/usedCondomNonMarital "Pourcentage rapportant l'utilisation d'un condom durant le dernier rapport sexuel avec un partenaire non-marital, non cohabitant dans les 12 derniers mois [4]".
* value labels 
      numMen 1 "Nombre des hommes de 15-24 ans"
	/layerWho 0 "Pourcentage des hommes de 15-24 ans qui:"
	/layerHad 0 "Pourcentage des hommes de 15-24 ans qui, dans les 12 derniers mois, ont eu des rapports sexuels avec:".
	
* For labels in Spanish uncomment commands below.
* variable labels
     morePartners "Tuvieron sexo con ms de una pareja en los 12 ltimos meses"
	/usedCondom "Porcentaje que refiere el uso de condn durante la ltima relacin sexual" 
	/numMenMorePartners "Nmero de hombres de 15-24 aos que han tenido sexo con ms de una pareja en los ltimos 12 meses"
	/sexEver "Han tenido sexo alguna vez"
	/sexBefore15 "Han tenido sexo antes de los 15 aos [1]"
	/neverHadSex "Porcentaje de mujere que nunca han tenido sexo [2]"
	/numMenSex12 "Nmero de hombres de 15-24 aos que han tenido sexo en los ltimos 12 meses "
	/neverMarried "Nmero de hombres de 15-24 aos nunca casados"
	/menNonMaritalPartner "Porcentaje quienes en los ltimos 12 meses tuvieron sexo con una pareja no marital ni cohabitante [3]"
	/numMenNonMaritalPartner "Nmero de hombres de 15-24 aos que refiere el uso de condn durante la ltima relacin sexual con una pareja no-marital, no-cohabitante en los ltimos 12 meses" 
	/usedCondomNonMarital "Porcentaje que refiere el uso de condn durante la ltima relacin sexual con una pareja no-marital, no-cohabitante en los ltimos 12 meses [4]".
* value labels 
      numMen 1 "Nmero de hombres de 15-24 aos"
	/layerWho 0 "Porcentaje de hombres de 15-49 aos que:"
	/layerHad 0 "Porcentaje de hombres de 15-24 aos que en los ltimos 12 meses han tenido sexo con:".

* ctables command in English (currently active, comment it out if using different language).
ctables
  /format empty = "na" missing = "na"    
  /vlabels variables = total layerWho numMen
           display = none
  /table   total [c]
         + HH6 [c]
         + HH7 [c]
         + $mwagex [c]
         + mwelevel [c]
         + mmstatus2 [c]
         + mdisability [c]
         + ethnicity [c]
         + windex5 [c]
   by
          layerWho [c]  > (
            sexEver  [s] [mean '' f5.1]
         + sexBefore15 [s] [mean '' f5.1]
         + morePartners [s] [mean '' f5.1] )
         + numMen [c] [count '' f5.0]
         + neverHadSex [s] [mean '' f5.1]
         + neverMarried [s] [sum '' f5.0]
         + menNonMaritalPartner [s] [mean '' f5.1]
         + numMenSex12 [s] [sum '' f5.0]
         + usedCondomNonMarital [s] [mean '' f5.1]
         + numMenNonMaritalPartner [s] [sum '' f5.0]
         + usedCondom [s] [mean '' f5.1]
         + numMenMorePartners [s] [sum '' f5.0] 
  /categories variables = all empty = exclude missing = exclude
  /slabels visible = no
  /titles title=
    "Table TM.10.2M: Key sexual behaviour indicators (young men)"
    "Percentage of men age 15-24 years by key sexual behaviour indicators, " + surveyname
   caption=
   "[1] MICS indicator TM.24 - Sex before age 15 among young people"
   "[2] MICS indicator TM.25 - Young people who have never had sex" 
   "[3] MICS indicator TM.27 - Sex with non-regular partners" 
   "[4] MICS indicator TM.28 - Condom use with non-regular partners"
 "na: not applicable"   
.

* ctables command in French.
* ctables
  /format empty = "na" missing = "na"    
  /vlabels variables = total layerWho numMen
           display = none
  /table   total [c]
         + HH6 [c]
         + HH7 [c]
         + $mwagex [c]
         + mwelevel [c]
         + mmstatus2 [c]
         + mdisability [c]
         + ethnicity [c]
         + windex5 [c]
   by
          layerWho [c]  > (
            sexEver  [s] [mean '' f5.1]
         + sexBefore15 [s] [mean '' f5.1]
         + morePartners [s] [mean '' f5.1] )
         + numMen [c] [count '' f5.0]
         + neverHadSex [s] [mean '' f5.1]
         + neverMarried [s] [sum '' f5.0]
         + menNonMaritalPartner [s] [mean '' f5.1]
         + numMenSex12 [s] [sum '' f5.0]
         + usedCondomNonMarital [s] [mean '' f5.1]
         + numMenNonMaritalPartner [s] [sum '' f5.0]
         + usedCondom [s] [mean '' f5.1]
         + numMenMorePartners [s] [sum '' f5.0] 
  /categories variables = all empty = exclude missing = exclude
  /slabels visible = no
  /titles title=
    "Tableau TM.10.2M: Indicateurs cls de comportement sexuel (jeunes hommes)"
    "Pourcentage des hommes de 15-24 ans par indicateurs cls de comportement sexuel, " + surveyname
   caption=
 "[1]  Indicateur MICS TM.24 - Rapports sexuels avant 15 ans parmi les jeunes femmes"
 "[2]  Indicateur MICS TM.25 - Jeunes femmes qui n'ont jamais eu de rapports sexuels"
 "[3]  Indicateur MICS TM.27 - Rapports sexuels avec des partenaires non rguliers"
 "[4]  Indicateur MICS TM.28 - Utilisation de condom avec des partenaires non rguliers"
  "na: not applicable"
.

* ctables command in Spanish.
* ctables
  /format empty = "na" missing = "na"    
  /vlabels variables = total layerWho numMen
           display = none
  /table   total [c]
         + HH6 [c]
         + HH7 [c]
         + $mwagex [c]
         + mwelevel [c]
         + mmstatus2 [c]
         + mdisability [c]
         + ethnicity [c]
         + windex5 [c]
   by
          layerWho [c]  > (
            sexEver  [s] [mean '' f5.1]
         + sexBefore15 [s] [mean '' f5.1]
         + morePartners [s] [mean '' f5.1] )
         + numMen [c] [count '' f5.0]
         + neverHadSex [s] [mean '' f5.1]
         + neverMarried [s] [sum '' f5.0]
         + menNonMaritalPartner [s] [mean '' f5.1]
         + numMenSex12 [s] [sum '' f5.0]
         + usedCondomNonMarital [s] [mean '' f5.1]
         + numMenNonMaritalPartner [s] [sum '' f5.0]
         + usedCondom [s] [mean '' f5.1]
         + numMenMorePartners [s] [sum '' f5.0] 
  /categories variables = all empty = exclude missing = exclude
  /slabels visible = no
  /titles title=
    "Tabla TM.10.2M: Indicadores claves de comportamiento sexual (hombres jvenes)"
    "Percentage of men age 15-24 years by key sexual behaviour indicators, " + surveyname
   caption=
 "[1] Indicador MICS TM.24 - Relaciones sexuales antes de los 15 aos en jvenes"
 "[2] Indicador MICS TM.25 - Jvenes que nunca han mantenido relaciones sexuales"
 "[3] Indicador MICS TM.27 - Relaciones sexuales con parejas sexuales ocasionales"
 "[4] Indicador MICS TM.28 - Uso del condn con parejas sexuales ocasionales"
  "na: not applicable"			 
.

new file.
