* Encoding: windows-1252.

***.
include "surveyname.sps".

get file = 'mn.sav'.

include "CommonVarsMN.sps".

select if (MWM17 = 1).

select if (MWB4>=15 and MWB4<=24).

weight by mnweight.

include 'define\MICS6 - 06 - TM.M.sps' .

compute layerCan = 0.
variable labels layerCan "".
value labels layerCan 0 "Percentage of men age 15-24 years who:".

variable labels comprehensiveKnowledge "Have comprehensive knowledge [1]".

variable labels allThree "Know all three means of HIV transmission from mother to child".
variable labels knowPlace "Know a place to get tested".
variable labels toldResult12 "Have been tested for HIV in the last 12 months and know the result".

do if (MHA1 = 1).
+ compute discriminatory=0.
+ if (food =100 or school=100) discriminatory=100.
+ compute numHeard = 1.
end if.
variable labels discriminatory "Percentage who report discriminatory attitutes towards people living with HIV [A]".
variable labels numHeard "".
value labels numHeard 1 "Number of men age 15-24 years who have heard of AIDS".

do if (sex12 = 100).
+ compute toldResultActive=0.
+ if (toldResult12 = 100) toldResultActive=100.
+ compute numSex = 1.
end if.
variable labels toldResultActive "Percentage of sexually active young men who have been tested for HIV in the last 12 months and know the result [2]".
variable labels numSex "".
value labels numSex 1 "Number of men age 15-24 years who had sex in the last 12 months".

compute nummen = 1.
variable labels nummen "".
value labels nummen 1 "Number of men age 15-24 years".

compute total = 1.
variable labels total "".
value labels total 1 "Total".

* For labels in French uncomment commands below.
* variable labels
     allThree "Connaissent tous les moyens de transmission mre-enfant du VIH"
	/knowPlace "Connaissent un lieu o se faire tester pour le VIH"
	/discriminatory "Pourcentage des femmes qui signalent des attitudes discriminatoires envers les personnes vivant avec le VIH [A]"
	/toldResultActive "Pourcentage de jeunes femmes sexuellement actives qui ont fait un test de VIH dans les 12 derniers mois et en connaissent le rsultat [2]"
	/comprehensiveKnowledge "Ont une connaissance approfondie [1]"
	/toldResult12 "Avoir subi un test de dpistage du VIH au cours des 12 derniers mois et connatre le rsultat".
* value labels 
     layerCan 0 "Pourcentage qui sait qu'on peut prvenir la transmission du VIH en :"
	/nummen 1 "Nombre des hommes de 15-24 ans"
	/numSex 1 "Nombre des hommes de 15-24 ans qui ont eu des rapports sexuels dans les 12 derniers mois "
	/numHeard 1 "Nombre des hommes de 15-24 ans qui ont entendu parler du SIDA".
	
* For labels in Spanish uncomment commands below.
* variable labels
     allThree "Conocen las tres formas de transmisin de VIH de la madre al nio"
	/knowPlace "Conocen un lugar para hacerse la prueba del VIH"
	/discriminatory "Porcentaje que expres actitudes discriminatorias hacia personas que viven con VIH [A]"
	/toldResultActive "Porcentaje de hombres jvenes sexualmente activas que se han hecho la prueba del VIH en los ltimos 12 meses y conocen el resultado [2]"
	/comprehensiveKnowledge "Tienen un conocimiento integral [1]"
	/toldResult12 "Se han hecho la prueba de VIH en los ltimos 12 meses y conocen el resultado".

* value labels 
     layerCan 0 "Porcentaje que sabe que la transmisin se puede prevenir por:"
	/nummen 1 "Nmero de hombres de 15-24 aos"
	/numSex 1 "Nmero de hombres de 15-24 aos que han tenido sexo en los ltimos 12 meses"
	/numHeard 1 "Nmero de hombres de 15-24 aos que han odo del sida".

* ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables = nummen numSex numHeard layerCan  total
           display = none
  /table   total [c]
         + HH6 [c]
         + HH7 [c]
         + $mwagex [c]
         + mwelevel [c]
         + mmstatus2 [c]
         + mdisability [c]
         + ethnicity [c]
         + windex5 [c]
   by
         layerCan [c] > 
         (comprehensiveKnowledge [s] [mean '' f5.1] + allThree [s] [mean '' f5.1] + knowPlace [s] [mean '' f5.1] + toldResult [s] [mean '' f5.1] + toldResult12 [s] [mean '' f5.1]  + sex12 [s] [mean '' f5.1])
         + nummen[c][count '' f5.0]
         + toldResultActive [s] [mean '' f5.1] + numsex [count '' f5.0]
         + discriminatory [s] [mean '' f5.1] + numHeard [count '' f5.0]
  /categories variables = all empty = exclude missing = exclude
  /slabels position = column visible = no
  /titles title=
    "Table TM.11.6M: Key HIV and AIDS indicators (young men)"
    "Percentage of men age 15-24 years by key HIV and AIDS indicators,  " + surveyname
   caption =
      "[1] MICS indicator TM.29 - Knowledge about HIV prevention among young people"										
      "[2] MICS indicator TM.34 - Sexually active young people who have been tested for HIV and know the results"									
      "[A] Refer to Table TM.11.3M for the two components."
  .
  
* ctables command in French.
* ctables
  /vlabels variables = nummen numSex numHeard layerCan  total
           display = none
  /table   total [c]
         + HH6 [c]
         + HH7 [c]
         + $mwagex [c]
         + mwelevel [c]
         + mmstatus2 [c]
         + mdisability [c]
         + ethnicity [c]
         + windex5 [c]
   by
         layerCan [c] > 
         (comprehensiveKnowledge [s] [mean '' f5.1] + allThree [s] [mean '' f5.1] + knowPlace [s] [mean '' f5.1] + toldResult [s] [mean '' f5.1] + toldResult12 [s] [mean '' f5.1]  + sex12 [s] [mean '' f5.1])
         + nummen[c][count '' f5.0]
         + toldResultActive [s] [mean '' f5.1] + numsex [count '' f5.0]
         + discriminatory [s] [mean '' f5.1] + numHeard [count '' f5.0]
  /categories variables = all empty = exclude missing = exclude
  /slabels position = column visible = no
  /titles title=
    "Tableau TM.11.6M: Indicateurs cls sur le VIH et le SIDA (jeunes hommes)"
    "Pourcentage des hommes de 15-24 ans selon les indicateurs cls du VIH et du SIDA, " + surveyname
   caption =
      "[1] Indicateur MICS TM.29 - Connaissance de la prvention du VIH parmi les jeunes hommes"										
      "[2] Indicateur MICS TM.34 - Jeunes hommes sexuellement actives qui ont t testes pour le VIH et connaissent le rsultat"									
      "[A] Reportez-vous au tableau TM.11.3M pour les deux composants."
  .
  
* ctables command in Spanish.
* ctables
  /vlabels variables = nummen numSex numHeard layerCan  total
           display = none
  /table   total [c]
         + HH6 [c]
         + HH7 [c]
         + $mwagex [c]
         + mwelevel [c]
         + mmstatus2 [c]
         + mdisability [c]
         + ethnicity [c]
         + windex5 [c]
   by
         layerCan [c] > 
         (comprehensiveKnowledge [s] [mean '' f5.1] + allThree [s] [mean '' f5.1] + knowPlace [s] [mean '' f5.1] + toldResult [s] [mean '' f5.1] + toldResult12 [s] [mean '' f5.1]  + sex12 [s] [mean '' f5.1])
         + nummen[c][count '' f5.0]
         + toldResultActive [s] [mean '' f5.1] + numsex [count '' f5.0]
         + discriminatory [s] [mean '' f5.1] + numHeard [count '' f5.0]
  /categories variables = all empty = exclude missing = exclude
  /slabels position = column visible = no
  /titles title=
    "Table TM.11.6M:  Indicadores claves sobre VIH y sida (hombres jvenes)"
    "Porcentaje de mujeres de 15-24 aos segn indicadores claves de VIH y sida, " + surveyname
   caption =
      "[1] Indicador MICS TM.29 - Conocimiento sobre la prevencin del VIH entre  jvenes"										
      "[2] Indicador MICS TM.34 - Jvenes sexualmente activas/os que se hicieron la prueba del VIH y conocen los resultados"									
      "[A] Consulte la Tabla TM.11.3M para los dos componentes."
  .

new file.
