﻿* Encoding: windows-1252.
***.

include "surveyname.sps".

get file = 'wm.sav'.

select if (WM17 = 1).

weight by wmweight.

recode CM11 (sysmis = 0) .

do if (WB4 >=15 and WB4<=19).
+ compute numWoman15 = 1.
+ compute hadBirth = 0.
+ if (CM11 > 0) hadBirth = 100.
+ compute firstChild = 0.
+ if (hadBirth = 0 and CP1 = 1) firstChild = 100.
+ compute begunChildbearing = 0.
+ if (hadBirth = 100 or CP1 = 1) begunChildbearing  = 100.
+ compute birthBefore15 = 0.
+ if ((wdobfc - wdob)/12 < 15) birthBefore15 = 100.
end if.

variable labels
   numWoman15 "Number of women age 15-19 years"
  /hadBirth "Have had a live birth"
  /firstChild "Are pregnant with first child"
  /begunChildbearing "Have had a live birth or are pregnant with first child"
  /birthBefore15 "Have had a live birth before age 15"
  .

do if (WB4 >=20 and WB4 <= 24).
+ compute numWoman20 = 1.
+ compute birthBefore18 = 0.
+ if ((wdobfc - wdob)/12 < 18) birthBefore18 = 100.
end if.

variable labels
   numWoman20 "Number of women age 20-24 years"
  /birthBefore18 "Percentage of women age 20-24 years who have had a live birth before age 18 [1]"
  .

compute layer = 0.
value labels layer 0 "Percentage of women age 15-19 years who:".
variable labels layer " ".

compute total = 1.
variable labels total "Total".
value labels total 1" ".

*  For labels in French uncomment commands below.
* variable labels
   numWoman15 "Nombre de femmes de 15-19 ans"
  /hadBirth "ont déjà eu une naissance vivante"
  /firstChild "sont enceintes d'un premier enfant"
  /begunChildbearing "ont commencé leur vie féconde"
  /birthBefore15 "ont eu une naissance vivante avant l'âge de 15 ans"
  /numWoman20 "Nombre de femmes de 20-24 ans"
  /birthBefore18 "Pourcentage de femmes de 20-24 ans qui ont eu une naissance vivante avant 18 ans [1]"
* value labels layer 0 "Pourcentage de femmes de 15-19 ans qui:".

*  For labels in Spanish uncomment commands below.
* variable labels
   numWoman15 "Número de mujeres de 15-19 años"
  /hadBirth "Han tenido un nacido vivo"
  /firstChild "Están embarazadas del primer hijo"
  /begunChildbearing "Han tenido un nacido vivo o están embarazadas de su primer hijo"
  /birthBefore15 "Han tenido un nacido vivo antes de la edad de 15 años"
  /numWoman20 "Número de mujeres de 20-24 años"
  /birthBefore18 "Porcentaje de mujeres de  20-24 años que han tenido un nacido vivo antes de la edad de 18 [1]"
* value labels layer 0 "Porcentaje de mujeres de edades 15-19 que son:".

* Ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables = layer
           display = none
  /table   total [c]
         + HH6 [c]
         + hh7 [c]
         + welevel [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]     
   by
           layer [c] > (
             hadBirth [s] [mean '' f5.1]
           + firstChild [s] [mean '' f5.1]
           + begunChildbearing [s] [mean '' f5.1]
           + birthBefore15 [s] [mean '' f5.1] )
         + numWoman15 [s] [sum '' f5.0]
         + birthBefore18 [s] [mean '' f5.1]
         + numWoman20 [s] [sum '' f5.0]
  /slabels position=column visible =no
  /categories variables=all empty=exclude missing=exclude
  /titles title=
                 "Table TM.2.2W: Early childbearing (young women)"						
                 "Percentage of women age 15-19 years who have had a live birth, are pregnant with the first child, have had a live birth or are pregnant with first child, "+
                 "and who have had a live birth before age 15, and percentage of women age 20-24 years who have had a live birth before age 18, " + surveyname
   caption =
     "[1] MICS indicator TM.2 - Early childbearing"
  .

* Ctables command in French.
* ctables
  /vlabels variables = layer
           display = none
  /table   total [c]
         + HH6 [c]
         + hh7 [c]
         + welevel [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]     
   by
           layer [c] > (
             hadBirth [s] [mean '' f5.1]
           + firstChild [s] [mean '' f5.1]
           + begunChildbearing [s] [mean '' f5.1]
           + birthBefore15 [s] [mean '' f5.1] )
         + numWoman15 [s] [sum '' f5.0]
         + birthBefore18 [s] [mean '' f5.1]
         + numWoman20 [s] [sum '' f5.0]
  /slabels position=column visible =no
  /categories variables=all empty=exclude missing=exclude
  /titles title=
                 "Tableau TM.2.2W: Grossesses précoces  (Jeunes femmes)"						
                 "Pourcentage de femmes de 15-19 ans qui ont déjà eu une naissance vivante, qui sont enceintes d'un premier enfant, qui ont commencé leur vie féconde "+
                 "et qui  ont eu une naissance vivante avant l'âge de 15 ans et pourcentage de femmes âgées de 20-24 ans ayant une naissance vivante avant l'âge de 18 ans " + surveyname
   caption =
     "[1] Indicateur MICS TM.2 - Grossesses précoces"
  .
  
* Ctables command in Spanish.
* ctables
  /vlabels variables = layer
           display = none
  /table   total [c]
         + HH6 [c]
         + hh7 [c]
         + welevel [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]     
   by
           layer [c] > (
             hadBirth [s] [mean '' f5.1]
           + firstChild [s] [mean '' f5.1]
           + begunChildbearing [s] [mean '' f5.1]
           + birthBefore15 [s] [mean '' f5.1] )
         + numWoman15 [s] [sum '' f5.0]
         + birthBefore18 [s] [mean '' f5.1]
         + numWoman20 [s] [sum '' f5.0]
  /slabels position=column visible =no
  /categories variables=all empty=exclude missing=exclude
  /titles title=
                 "Tabla TM.2.2W: Maternidad temprana (mujeres jóvenes)"						
                 "Porcentaje de mujeres de 15-19 años que han tenido un nacido vivo, están embarazadas de su primer hijo, han empezado el proceso reproductivo, "+
                 "y quienes han tenido un nacido vivo antes de los 15 años, y porcentaje de mujeres de 20-24 años quienes han tenido un nacido vivo antes de los 18 años, " + surveyname
   caption =
     "[1] Indicador MICS TM.2 - Maternidad temprana"
  .
  
new file.
