* Encoding: windows-1252.
***.


include "surveyname.sps".

get file = 'wm.sav'.

include "CommonVarsWM.sps".

select if (WM17 = 1).

weight by wmweight.

select if  (mstatus = 1).

* definitions of contraceptiveMethod .
include 'define\MICS6 - 06 - TM.sps' .

variable labels contraceptiveMethod "Percent of women currently married or in union who are using (or whose partner is using):".

compute anyModern = 0.
if (contraceptiveMethod >= 1 and contraceptiveMethod <= 11) anyModern = 100.
variable labels anyModern "Any modern method".

compute anyTraditional = 0.
if (contraceptiveMethod >= 12 and contraceptiveMethod < 99) anyTraditional = 100.
variable labels anyTraditional "Any traditional method".

* Any method of contraception still includes all responses to CP3, i.e. all modern and traditional methods, as well as any missing values (CP3 = A-X or ?). 
compute anyMethod = 0.
if (anyModern = 100 or anyTraditional = 100 or  contraceptiveMethod = 99) anyMethod = 100.
variable labels anyMethod "Any method [1]".

compute livingChildren = 0.
if (CM1 = 1 and CM8 <> 1) livingChildren = CM11.
if (CM1 = 1 and CM8 = 1) livingChildren = CM11 - (CM9 + CM10).
recode livingChildren (0 thru 3 = copy) (4 thru hi = 4).
variable labels livingChildren "Number of living children".
value labels livingChildren 4 "4+".
formats livingChildren (f5.0).

compute numWomen = 1.
variable labels numWomen "Number of women age 15-49 years currently married or in union".
value labels numWomen 1 "".

compute total = 1.
variable labels total "Total".
value labels total 1" ".

*  For labels in French uncomment commands below.
* variable labels
     numWomen "Nombre de femmes de 15-49 ans actuellement maries ou en union"
	/livingChildren "Nombre d'enfants vivants"
	/contraceptiveMethod "Pourcentage de femmes actuellement maries ou en union qui utilisent (ou dont le conjoint utilise):"
	/anyModern "N'importe quelle mthode moderne"
	/anyTraditional "N'importe quelle mthode traditionnelle"
	/anyMethod "N'importe quelle mthode [1]".
   
*  For labels in Spanish uncomment commands below.
* variable labels
     numWomen "Nmero de mujeres de 15-49 aos casadas actualmente o en unin"
	/livingChildren "Nmero de hijos vivos"
	/contraceptiveMethod "Porcentaje de mujeres (casadas actualmente o en unin) que estn usando: (o cuya pareja est usando):"
	/anyModern "Cualquier mtodo moderno"
	/anyTraditional "Cualquier mtodo tradicional"
	/anyMethod "Cualquier mtodo [1]".

	
* Ctables command in English (currently active, comment it out if using different language).
ctables
  /table   total [c]
         + HH6 [c]
         + hh7 [c]
         + $wage [c]
         + welevel [c]
         + livingChildren [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]            
   by
           contraceptiveMethod [c] [rowpct.validn '' f5.1]
         + anyModern [s] [mean '' f5.1]
         + anyTraditional [s] [mean '' f5.1]
         + anyMethod [s] [mean '' f5.1]
         + numWomen [s] [sum '' f5.0]
  /slabels position=column visible = no
  /titles title=
     "Table TM.3.1: Use of contraception (currently married/in union)"
     "Percentage of women age 15-49 years currently married or in union who are using (or whose partner is using) a contraceptive method, " + surveyname
   caption=
     "[1] MICS indicator TM.3 - Contraceptive prevalence rate"
  .																	

  * Ctables command in French.
* ctables
  /table   total [c]
         + HH6 [c]
         + hh7 [c]
         + $wage [c]
         + welevel [c]
         + livingChildren [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]            
   by
           contraceptiveMethod [c] [rowpct.validn '' f5.1]
         + anyModern [s] [mean '' f5.1]
         + anyTraditional [s] [mean '' f5.1]
         + anyMethod [s] [mean '' f5.1]
         + numWomen [s] [sum '' f5.0]
  /slabels position=column visible = no
  /titles title=
     "Tableau TM.3.1: Utilisation de la contraception (Actuellement mari / en union)"
     "Pourcentage de femmes de 15-49 ans actuellement maries ou en union qui utilisent (ou dont le conjoint utilise) une mthode de contraception, " + surveyname
   caption=
     "[1] Indicateur MICS TM.3 - Taux de prevalence Contraceptive"
  .																	

    * Ctables command in Spanish.
* ctables
  /table   total [c]
         + HH6 [c]
         + hh7 [c]
         + $wage [c]
         + welevel [c]
         + livingChildren [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]            
   by
           contraceptiveMethod [c] [rowpct.validn '' f5.1]
         + anyModern [s] [mean '' f5.1]
         + anyTraditional [s] [mean '' f5.1]
         + anyMethod [s] [mean '' f5.1]
         + numWomen [s] [sum '' f5.0]
  /slabels position=column visible = no
  /titles title=
     "Tabla TM.3.1: Uso de anticonceptivos (actualente casadas/en unin)"
     "Porcentaje de mujeres de edades entre 15-49 aos casadas actualmente o en unin que estn usando (o cuya pareja est usando) un mtodo anticonceptivo, " + surveyname
   caption=
     "[1] Indicador MICS TM.3 - Tasa de prevalencia de anticonceptivos"
  .																


new file.
