* Encoding: windows-1252.
* MICS5 RH-08.

***.


include "surveyname.sps".

get file = 'wm.sav'.

include "CommonVarsWM.sps".

select if (WM17 = 1).

* select women that gave birth in two years preceeding the survey. 
* IB (5 years in case of SL).
select if (CM17 = 1).

weight by wmweight.

* definitions of anc, ageAtBirth .
include 'define\MICS6 - 06 - TM.sps' .

recode MN6A (1 = 100) (else = 0) into bloodPressure.
variable labels bloodPressure "Blood pressure measured".
recode MN6B (1 = 100) (else = 0) into urineSample.
variable labels urineSample "Urine sample taken".
recode MN6C (1 = 100) (else = 0) into bloodSample.
variable labels bloodSample "Blood sample taken".
compute allthree = 0.
if (bloodPressure = 100 & urineSample = 100 & bloodSample = 100) allthree = 100.
variable labels allthree "Blood pressure measured, urine and blood sample taken [1]".

compute numWomen = 1.
variable labels numWomen "Number of women with a live birth in the last two years".
value labels numWomen 1 "".

compute layer = 0.
variable labels layer "".
value labels layer 0 "Percentage of women who, during the pregnancy of their last birth, had:".

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

* For labels in French uncomment commands below.
* variable labels
    numWomen "Nombre de femmes avec une naissance vivante dans les 2 dernires annes "
   /bloodPressure "Mesure de la tension du sang"
   /urineSample "chantillon d'urine prlev"
   /bloodSample "chantillon de sang pris"
   /allthree "Mesure de la tension du sang, chantillons d'urine et du sang prlevs [1]".
* value labels layer 0 "Pourcentage de femmes qui, durant la dernire grossesse de leur dernire naissance se sont fait prendre:".

* For labels in Spanish uncomment commands below.
* variable labels
    numWomen "Nmero de mujeres que tuvieron un nacido vivo en los ltimos dos aos"
   /bloodPressure "Tomaron la presin sangunea"
   /urineSample "Tomaron una muestra de orina"
   /bloodSample "Tomaron una muestra de sangre"
   /allthree "Tomaron la presin sangunea y una muestra de orina y sangre [1]".
* value labels layer 0 "Porcentaje de mujeres que durante el embarazo de su ltimo nacimiento les:".

* Ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables = layer
           display = none
  /table   total [c]
         + hh6 [c]
         + hh7 [c]
         + welevel [c]
         + ageAtBirth [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]        
   by 
           layer [c] > ( 
             bloodPressure [s] [mean '' f5.1] 
           + urineSample [s] [mean '' f5.1] 
           + bloodSample [s] [mean '' f5.1]
           + allthree [s] [mean '' f5.1] )
           + numWomen [s] [count '' f5.0]
  /categories variables=all empty=exclude 
  /slabels position=column visible=no
  /titles title=
     "Table TM.4.3: Content of antenatal care" 
	"Percentage of women age 15-49 years with a live birth in the last two years who, at least once, "+
                   "had their blood pressure measured, urine sample taken, and blood sample taken as part of antenatal care, " +
                   "during the pregnancy for the last birth, " + surveyname
   caption =
     "[1] MICS indicator TM.6 - Content of antenatal care [A]"					
     "[A] For HIV testing and counseling during antenatal care, please refer to table TM.11.5"
  .
  
* Ctables command in French.
* ctables
  /vlabels variables = layer
           display = none
  /table   total [c]
         + hh6 [c]
         + hh7 [c]
         + welevel [c]
         + ageAtBirth [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]        
   by 
           layer [c] > ( 
             bloodPressure [s] [mean '' f5.1] 
           + urineSample [s] [mean '' f5.1] 
           + bloodSample [s] [mean '' f5.1]
           + allthree [s] [mean '' f5.1] )
           + numWomen [s] [count '' f5.0]
  /categories variables=all empty=exclude 
  /slabels position=column visible=no
  /titles title=
    "Tableau TM.4.3: Contenu des consultations prnatales" 
	"Pourcentage de femmes de 15-49 ans ayant eu une naissance vivante dans les 2 dernires annes qui,  "+
    "au moins une fois, se sont fait prendre leur tension, un chantillon d'urine, un chantillon de sang durant les consultations prnatales de la grossesse de la dernire naissance, " + surveyname
   caption =
     "[1] Indicateur MICS TM.6 - Contenu des consultations prnatales [A]"					
     "[A] Pour le dpistage du VIH et le conseil pendant les soins prnataux, veuillez vous rfrer au tableau TM.11.5"
  .
  
* Ctables command in Spanish.
* ctables
  /vlabels variables = layer
           display = none
  /table   total [c]
         + hh6 [c]
         + hh7 [c]
         + welevel [c]
         + ageAtBirth [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]        
   by 
           layer [c] > ( 
             bloodPressure [s] [mean '' f5.1] 
           + urineSample [s] [mean '' f5.1] 
           + bloodSample [s] [mean '' f5.1]
           + allthree [s] [mean '' f5.1] )
           + numWomen [s] [count '' f5.0]
  /categories variables=all empty=exclude 
  /slabels position=column visible=no
  /titles title=
     "Tabla TM.4.3: Contenido del cuidado prenatal" 
	"Porcentaje de mujeres de 15-19 aos que han tenido un nacido vivo en los ltimos dos aos quienes, al menos una vez,  "+
    "se les tom la presin sangunea, se tom una muestra de orina, y se tom una muestra de sangre como parte del cuidado prenatal, durante el embarazo del ltimo nacimiento,  " + surveyname
   caption =
     "[1] Indicador MICS TM.6 - Contenido de atencin prenatal [A]"					
     "[A] Para la prueba del VIH y consejera durante el cuidado prenatal ver la tabla TM.11.5"
  .

new file.
