﻿* Encoding: windows-1252.
***.
   

include "surveyname.sps".

get file = 'wm.sav'.

include "CommonVarsWM.sps".

select if (WM17 = 1).

weight by wmweight.

*select women that gave birth in two years preceeding the survey.
select if (CM17 = 1).

* definitions of anc, ageAtBirth .
include 'define\MICS6 - 06 - TM.sps' .

compute inHealthFacility = 0.
if any(deliveryPlace, 11, 12) inHealthFacility = 100.
variable labels inHealthFacility "Delivered in health facility [1]".

compute numWomen = 1.
variable labels numWomen "Number of women with a live birth in the last two years".
value labels numWomen 1 "".

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

value labels noVisitsAux1
  0 "None"
  0.1 "1-3 visits"
  1 "4+ visits"
  2 "   8+ visits"
  9 "DK/Missing".

* Define Multiple Response Sets.
mrsets
  /mcgroup name = $antvisits
           label = 'Number of antenatal care visits'
           variables =  noVisitsAux1 noVisitsAux2 .
		   
* For labels in French uncomment commands below.
* mrsets
  /mcgroup name = $antvisits
           label = 'Nombre de visites prénatales'
           variables =  noVisitsAux1 noVisitsAux2 .
* variable labels
   numWomen "Nombre de femmes ayant eu une naissance vivante dans les 2 dernières années"
   /inHealthFacility "A accouché dans un établissement de santé [1]".
* value labels noVisitsAux1
  0 "Aucune"
  0.*1 "1-3 visites"
  1 "4+ visites"
  2 "   8+ visites"
  9 "NSP/Manquant".

		   
* For labels in Spanish uncomment commands below.
* mrsets
  /mcgroup name = $antvisits
           label = 'Número de visitas de cuidado prenatal'
           variables =  noVisitsAux1 noVisitsAux2 .
* variable labels
   numWomen "Número de mujeres con un nacido vivo en los 2 últimos años"
   /inHealthFacility "Parto en instalaciones de salud [1]".
* value labels noVisitsAux1
  0 "Ninguna"
  0.*1 "1-3 visitas"
  1 "4+ visitas"
  2 "   8+ visitas"
  9 "NS/Ignorado".

* Ctables command in English (currently active, comment it out if using different language).

ctables
  /table   total [c]
         + hh6 [c]
         + hh7 [c]
         + welevel [c]         
         + ageAtBirth [c]
         + $antvisits [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]     
   by
  	       deliveryPlace [c] [rowpct.validn '' f5.1]
         + inHealthFacility [s] [mean '' f5.1]
         + numWomen[s] [count '' f5.0]
  /categories variables=all empty=exclude
  /categories variables=deliveryPlace empty=exclude total=yes label='Total'
  /slabels position=column visible=no
  /titles title=
      "Table TM.6.1: Place of delivery"
      "Percent distribution of women age 15-49 years with a live birth in the last two years by place of delivery of their last birth,  " + surveyname
   caption=
      "[1] MICS indicator TM.8 - Institutional deliveries"
  .
  
  
* Ctables command in French.
* ctables
  /table   total [c]
         + hh6 [c]
         + hh7 [c]
         + welevel [c]         
         + ageAtBirth [c]
         + $antvisits [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]     
   by
  	       deliveryPlace [c] [rowpct.validn '' f5.1]
         + inHealthFacility [s] [mean '' f5.1]
         + numWomen[s] [count '' f5.0]
  /categories variables=all empty=exclude
  /categories variables=deliveryPlace empty=exclude total=yes label='Total'
  /slabels position=column visible=no
  /titles title=
      "Tableau TM.6.1: Lieu de l'accouchement"
      "Distribution en pourcentage des femmes de 15-49 ans ayant eu une naissance vivante dans les 2 dernières années selon lieu d'accouchement de leur dernière naissance,  " + surveyname
   caption=
      "[1] Indicateur MICS TM.8 - Accouchements en établissements de santé"
  .
 
* Ctables command in Spanish.
* ctables
  /table   total [c]
         + hh6 [c]
         + hh7 [c]
         + welevel [c]         
         + ageAtBirth [c]
         + $antvisits [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]     
   by
  	       deliveryPlace [c] [rowpct.validn '' f5.1]
         + inHealthFacility [s] [mean '' f5.1]
         + numWomen[s] [count '' f5.0]
  /categories variables=all empty=exclude
  /categories variables=deliveryPlace empty=exclude total=yes label='Total'
  /slabels position=column visible=no
  /titles title=
      "Tabla TM.6.1: Lugar del parto"
      "Distribución porcentual de mujeres de 15-49 años con un nacido vivo durante los dos años según el lugar del parto de su último nacimiento, " + surveyname
   caption=
      "[1] Indicador MICS TM.8 - Partos institucionales"
  .


new file.
