﻿* Encoding: windows-1252.
***.


include "surveyname.sps".

get file = 'wm.sav'.


include "CommonVarsWM.sps".

select if (WM17 = 1).

weight by wmweight.

*select women that gave birth in two years preceeding the survey.
select if (CM17 = 1).

* definitions of anc, ageAtBirth .
include 'define\MICS6 - 06 - TM.sps' .

select if (pncVisitC<5) .

recode PN15
  (11,12 = 1)
  (21 thru 26 = 2)
  (31 thru 36 = 3)
  (96 = 4)
  (else = 9) into pncLocation .
variable labels pncLocation "Location of first PNC visit for newborns" .
value labels pncLocation
  1 "Home"
  2 "Public sector"
  3 "Private sector"
  4 "Other location"
  9 "DK/Missing" .

compute pncProvider = 0.
if (PN14A = "A" or PN14B = "B") pncProvider = 11.
if (pncProvider = 0 and PN14C = "C") pncProvider = 12.
if (pncProvider = 0 and PN14G = "G") pncProvider = 13.
if (pncProvider = 0 and PN14F = "F") pncProvider = 14.
if (pncProvider = 0 and PN14A = "?") pncProvider = 99.
variable labels pncProvider "Provider of first PNC visit for newborns".
value labels pncProvider
  11 "Doctor/ nurse/ midwife"
  12 "Other qualified" 
  13 "Community / village health worker"
  14 "Traditional birth attendant"
  99 "Missing"
  .

compute numBirths = 1.
variable labels numBirths "Number of last live births in the last two years with a PNC visit within the first week of life".
value labels numBirths 1 "".

variable labels welevel "Mother’s education".
variable labels ageAtBirth "Mother’s age at delivery".
variable labels disability "Mother's functional disabilities (age 18-49 years)".

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

* For labels in French uncomment commands below.
* variable labels
    pncLocation "Lieu de la première visite EPN du nouveau-né" 
   /pncProvider "Agent qui a fait la première visite EPN du nouveau-né"
   /numBirths "Nombre de dernières naissances vivantes dans les deux dernières années avec une visite pour EPN dans la première semaine de vie"
   /welevel "Mother’s education"
   /ageAtBirth "Mother’s age at delivery"
   /disability "Mother's functional disabilities (age 18-49 years)".
* value labels 
    pncLocation
  1 "Domicile"
  2 "Secteur Public"
  3 "Secteur Privé"
  4 "Autres lieux"
  9 "NSP/Manquant" 
	/pncProvider
  11 "Médecin/Infirmière/Sage-femme"
  12 "Autres qualifiés" 
  13 "Agent de santé communautaire"
  14 "Accoucheuse traditionnelle"
  96 "Manquant".

* For labels in Spanish uncomment commands below.
* variable labels
    pncLocation "Lugar de la primera visita de CPN para recién nacidos" 
   /pncProvider "Proveedor de la primera visita de CPN para recién nacidos"
   /numBirths "Número de últimos nacimientos vivos en los últimos dos años con una visita de CPN durante la primera semana de vida"
   /welevel "Mother’s education"
   /ageAtBirth "Mother’s age at delivery"
   /disability "Mother's functional disabilities (age 18-49 years)".
* value labels 
    pncLocation
  1 "Casa"
  2 "Sector púbico"
  3 "Sector privado"
  4 "Otro lugar"
  9 "NS/Ignorado" 
	/pncProvider
  11 "Doctor/ enfermera/ comadrona"
  12 "Otro capacitado" 
  13 "Trabajador de la salud de la comunidad"
  14 "Partera tradicional"
  96 "Ignorado".


* Ctables command in English (currently active, comment it out if using different language).
ctables
  /table   total [c]
         + bh3_last [c]
         + hh6 [c]
         + hh7 [c]
         + welevel [c]
         + ageAtBirth [c]
         + $deliveryPlace [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]    
   by
           pncLocation [c] [rowpct.validn '' f5.1]
         + pncProvider [c] [rowpct.validn '' f5.1]
         + numBirths[s] [count '' f5.0]
  /categories variables=all empty=exclude
  /categories variables=pncLocation pncProvider total=yes label='Total'
  /slabels position=column visible=no
  /titles title=
     "Table TM.8.3: Post-natal care visits for newborns within one week of birth"
	"Percent distribution of women age 15-49 years with a live birth in the last two years whose " +
                "last live birth received a post-natal care (PNC) visit within one week of birth, " +
                "by location and provider of the first PNC visit, " + surveyname  .
				
									
* Ctables command in French.
* ctables
  /table   total [c]
         + bh3_last [c]
         + hh6 [c]
         + hh7 [c]
         + welevel [c]
         + ageAtBirth [c]
         + $deliveryPlace [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]    
   by
           pncLocation [c] [rowpct.validn '' f5.1]
         + pncProvider [c] [rowpct.validn '' f5.1]
         + numBirths[s] [count '' f5.0]
  /categories variables=all empty=exclude
  /categories variables=pncLocation pncProvider total=yes label='Total'
  /slabels position=column visible=no
  /titles title=
     "Tableau TM.8.3: Examens de santé post-natals des nouveau-nés dans la semaine de la naissance "
	"Distribution en pourcentage de femmes de 15-49 ans ayant eu une naissance vivante dans les 2 dernières années "+
	"et dont la dernière naisance vivante a bénéficié d'un examen de santé post-natal (EPN) dans la semaine de la naissance, " +
	"selon le lieu et l'agent qui a fait la première visite EPN, " + surveyname  .
								
								
* Ctables command Spanish.
* ctables
  /table   total [c]
         + bh3_last [c]
         + hh6 [c]
         + hh7 [c]
         + welevel [c]
         + ageAtBirth [c]
         + $deliveryPlace [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]    
   by
           pncLocation [c] [rowpct.validn '' f5.1]
         + pncProvider [c] [rowpct.validn '' f5.1]
         + numBirths[s] [count '' f5.0]
  /categories variables=all empty=exclude
  /categories variables=pncLocation pncProvider total=yes label='Total'
  /slabels position=column visible=no
  /titles title=
     "Tabla TM.8.3: Visitas de cuidado post-natal para recién nacidos dentro de la semana posterior al nacimiento"
	"Distribución porcentual de mujeres de 15-49 años con un nacido vivo en los últimos dos años "+
	"cuyo último nacido vivo recibió visita de cuidado post-natal (CPN)  dentro de la semana posterior al nacimiento, "+
	"por lugar y proveedor de la primera visita de CPN, " + surveyname  .
									
new file.
