* Encoding: windows-1252.
 * Given to drink: CA3AB
 Given to eat: CA4
 Child was given 'Nothing' to eat: CA4 = 5 or 7

 * The denominator for this table is number of children with diarrhoea during the last two weeks: CA1=1

* Call include file for the working directory and the survey name.

include "surveyname.sps".

get file = 'ch.sav'.

select if (UF17 = 1).

weight by chweight.

* diarrhoea in last 2 weeks.
recode CA1 (1 = 100) (else = 0) into diarrhea.
variable labels diarrhea "Had diarrhoea in last two weeks".

do if (CA1 = 1).
+ compute dtotal = 1.
end if.
value labels dtotal 1 "Number of children aged 0-59 months with diarrhoea".
variable labels dtotal "".

* CA3A categories.
* Much less		1
Somewhat less	2
About the same	3
More		4
Nothing to drink	5
DK		8.

recode CA3 (8,9 = 9) (else = copy).
variable labels CA3 "Drinking practices during diarrhoea:".
value labels CA3
  1 "Much less"
  2 "Somewhat less"
  3 "About the same"
  4 "More"
  5 "Nothing"
  9 "DK/Missing".


* CA4.
*Much less		1
Somewhat less	2
About the same	3
More		4
Stopped food	5
Never gave food	7
DK		8.

recode CA4 (5,7 = 5) (8,9 = 9) (else = copy).
variable labels CA4 "Eating practices during diarrhoea:".
value labels CA4
  1 "Much less"
  2 "Somewhat less"
  3 "About the same"
  4 "More"
  5 "Nothing"
  9 "DK/Missing".

compute tot = 1.
variable labels tot "".
value labels tot 1 "Total".

compute layer = 0.
variable labels layer "".
value labels layer 0 "Drinking practices during diarrhoea".
variable labels CA3 "Child was given to drink: ".
compute layer1 = 0.
variable labels layer1 "".
value labels layer1 0 "Eating  practices during diarrhoea".
variable labels CA4 "Child was given to eat: ".

* For labels in French uncomment commands below.
* variable labels 
     CA3 "Enfant a eu  boire: "
    /CA4 "Enfant a eu  manger: ".
* value labels 
     layer 0 "Pratiques de consommation de liquides durant la diarrhe"
	/layer1 0 "Pratiques d'alimentation durant la diarrhe"
	/CA3
  1 "Beaucoup moins"
  2 "Un peu moins"
  3 "A peu prs mme quantit"
  4 "Plus"
  5 "Rien"
  9 "Manquant/ NSP"
	/dtotal 1 "Nombre d'enfants gs de 0-59 mois avec diarrhe dans les deux dernires semaines".

* For labels in Spanish uncomment commands below.
* variable labels 
     CA3 "Al nio se le dio de beber: "
    /CA4 "Al nio se le dio de comer: ".
* value labels 
     layer 0 "Prcticas de bebida durante la diarrea"
	/layer1 0 "Prcticas alimenticias durante la diarrea"
	/CA3
  1 "Mucho menos"
  2 "Un poco menos"
  3 "Ms o menos lo mismo"
  4 "Ms"
  5 "Nada"
  9 "NS/Ignorado"
	/dtotal 1 "Nmero de nios de 0-59 meses con diarrea en las ltimas dos semanas".


* Ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables = tot dtotal layer layer1 
         display = none
  /table tot [c] 
         + HL4 [c] 
         + hh6 [c] 
         + hh7 [c] 
         + CAGE_11 [c] 
         + melevel [c]
         + caretakerdis [c]
         + ethnicity [c]
         + windex5 [c]    by  
  	layer [c] > (CA3 [c] [rowpct.validn '' f5.1] )+
                  layer1 [c] > (CA4 [c] [rowpct.validn '' f5.1]) + 
                  dtotal [c] [count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /categories variables = CA3 CA4 total = yes position = after label = "Total"
  /slabels position=column visible = no
  /titles title=
	 "Table CH.6: Feeding practices during diarrhoea"
	  "Percent distribution of children age 0-59 months with diarrhoea in the last two weeks by amount of liquids and food given during episode of diarrhoea, " 
 	   + surveyname.
	   

* Ctables command in French.
* ctables
  /vlabels variables = tot dtotal layer layer1 
         display = none
  /table tot [c] 
         + HL4 [c] 
         + hh6 [c] 
         + hh7 [c] 
         + CAGE_11 [c] 
         + melevel [c]
         + caretakerdis [c]
         + ethnicity [c]
         + windex5 [c]    by  
  	layer [c] > (CA3 [c] [rowpct.validn '' f5.1] )+
                  layer1 [c] > (CA4 [c] [rowpct.validn '' f5.1]) + 
                  dtotal [c] [count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /categories variables = CA3 CA4 total = yes position = after label = "Total"
  /slabels position=column visible = no
  /titles title=
	 "Tableau TC.3.2: Pratiques d'alimentation durant la diarrhe"
	  "Distribution en pourcentage des enfants gs de 0-59 mois avec diarrhe dans les deux dernires semaines selon la quantit de liquides et de nourriture donns durant l'pisode de diarrhe, " 
 	   + surveyname.	   

* Ctables command in Spanish.
* ctables
  /vlabels variables = tot dtotal layer layer1 
         display = none
  /table tot [c] 
         + HL4 [c] 
         + hh6 [c] 
         + hh7 [c] 
         + CAGE_11 [c] 
         + melevel [c]
         + caretakerdis [c]
         + ethnicity [c]
         + windex5 [c]    by  
  	layer [c] > (CA3 [c] [rowpct.validn '' f5.1] )+
                  layer1 [c] > (CA4 [c] [rowpct.validn '' f5.1]) + 
                  dtotal [c] [count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /categories variables = CA3 CA4 total = yes position = after label = "Total"
  /slabels position=column visible = no
  /titles title=
	 "Tabla TC.3.2:  Prcticas de alimentacin durante la diarrea"
	  "Distribucin porcentual de nios/as de 0-59 meses de edad con diarrea en las dos ltimas semanas por cantidad de lquidos y comida dados durante el episodio de diarrea " 
 	   + surveyname.
new file.
