* Encoding: windows-1252.
 * ORS or increased fluids:  CA7[A]=1 or CA7[B]=1 or CA3A/B=4.

 * ORT: Includes above or CA7[D]=1.

 * ORT with continued feeding: Includes above and CA4=2, 3, or 4.

 * Other treatment: CA13

 * Not given any treatment or drug: CA7[A]>1 and CA7[B]>1 and CA7[C]>1 and CA7[D]>1 and CA12>1

 * In this table, the percentages of children receiving various treatments will not add to 100 since some children may have received more than one type of treatment.

 * The denominator for this table is number of children with diarrhoea during the last two weeks: CA1=1																		


****.

* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = 'ch.sav'.

select if (UF17 = 1).

weight by chweight.

* Diarrhoea in last 2 weeks.
recode CA1 (1 = 100) (else = 0) into diarrhea.
variable labels  diarrhea "Had diarrhoea in last two weeks".

do if (CA1 = 1).

+ compute zinc = 0.
+ if (CA7C=1) zinc = 100.

* ORS or increased fluids:  CA7[A]=1 or CA7[B]=1 or CA3A/B=4.
+ compute orsdmore = 0.
+ if (CA7A = 1 or CA7B = 1 or CA3 = 4) orsdmore = 100.


*ORT: Includes above or CA7[D]=1.
+ compute ort = 0.
+ if (orsdmore = 100 or CA7D = 1) ort = 100.

* ORT with continued feeding: Includes above and CA4=2, 3, or 4.

+ compute ortfeed= 0.
+ if (ort = 100 and  (CA4 = 2 or CA4=3 or CA4 = 4)) ortfeed = 100.

* Other treatment: CA13.
* CA13 categories.
*Pill or Syrup
	Antibiotic					A
	Antimotility					B
	Other pill or syrup (Not antibiotic, 	antimotility or zinc)	G
	Unknown pill or syrup				H

*Injection
	Antibiotic		L
	Non-antibiotic	M
	Unknown injection	N

*Intravenous			O
*Home remedy / Herbal medicine	Q
*Other (specify)		X.


+ compute antibioticp = 0.
+ if (CA13A = "A") antibioticp = 100.
+ compute antimotility = 0.
+ if (CA13B = "B") antimotility = 100.
+ compute otherpill = 0.
+ if (CA13G = "G") otherpill = 100.
+ compute dkpill = 0.
+ if (CA13H = "H") dkpill = 100.
+ compute antibiotici = 0.
+ if (CA13L = "L") antibiotici = 100.
+ compute nonantii = 0.
+ if (CA13M = "M") nonantii = 100.
+ compute dkinj = 0.
+ if (CA13N = "N") dkinj = 100.
+ compute intravenous = 0.
+ if (CA13O = "O") intravenous = 100.
+ compute homerem = 0.
+ if (CA13Q = "Q") homerem = 100.
+ compute other = 0.
+ if (CA13X = "X") other = 100.

*  No other treatement.
+ compute noothertreat = 0.
+ if (antibioticp = 0 and antimotility = 0 and otherpill = 0 and dkpill = 0 and
     antibiotici = 0 and nonantii = 0 and dkinj = 0 and intravenous = 0 and  
     homerem = 0 and other = 0) noothertreat = 100.

*  Not given any treatment or drug: CA7[A]>1 and CA7[B]>1 and CA7[C]>1 and CA7[D]>1 and CA12>1.
+ compute notreat = 0.
+ if (zinc = 0 and 
     ort = 0 and ortfeed = 0 and 
     antibioticp = 0 and antimotility = 0 and otherpill = 0 and dkpill = 0 and
     antibiotici = 0 and nonantii = 0 and dkinj = 0 and intravenous = 0 and  
     homerem = 0 and other = 0) notreat = 100.

+ compute dtotal = 1.

end if.

variable labels zinc "Zinc".
variable labels  orsdmore "ORS or increased fluids".
variable labels  ort "ORT (ORS or government-recommended homemade fluid or increased fluids)".
variable labels  ortfeed "ORT with continued feeding [1]".

variable labels  antibioticp "Antibiotic".
variable labels  antimotility "Antimotility".
variable labels  otherpill "Other ".
variable labels  dkpill "Unknown".
variable labels  antibiotici "Antibiotic".
variable labels  nonantii "Non-antibiotic".
variable labels  dkinj "Unknown".
variable labels  intravenous "Intravenous".
variable labels  homerem "Home remedy, herbal medicine".
variable labels  other "Other".
variable labels  noothertreat "No other treatment".
value labels dtotal 1 "Number of children age 0-59 months with diarrhoea in the last two weeks".
variable labels  dtotal "".
variable labels  notreat "Not given any treatment or drug".

compute layer = 0.
variable labels  layer "".
value labels layer 0 "Children with diarrhoea who were given:".

compute layer2 = 0.
variable labels  layer2 "".
value labels layer2 0 "Other treatments".

compute layer3 = 0.
variable labels  layer3 "".
value labels layer3 0 "Pill or syrup".

compute layer4 = 0.
variable labels  layer4 "".
value labels layer4 0 "Injection".

compute tot = 1.
variable labels  tot "".
value labels tot 1 "Total".

* For labels in French uncomment commands below.
* variable labels
	 zinc "Zinc "
	/orsdmore "SRO ou plus de liquides"
	/ort "TRO (SRO ou liquides maison recommands ou plus de liquides)"
	/ortfeed "TRO avec poursuite de l'alimentation [1]"
	/antibioticp "Antibiotique"
	/antimotility "Anti-motilit"
	/otherpill "Autre "
	/dkpill "Inconnu"
	/antibiotici "Antibiotique"
	/nonantii "Pas d'antibiotique"
	/dkinj "Inconnu"
	/intravenous "Intraveineuse"
	/homerem "Remde maison, herbe mdicinale"
	/other "Autre"
	/noothertreat "Pas d'autre traitement "
	/notreat "N'ont reu aucun traitement ou mdicament".
* value labels 
     layer 0 "Enfants avec diarrhe qui ont reu:"
	/layer2 0 "D'autres traitements"
	/layer3 0 "Comprims ou sirop"
	/layer4 0 "Injection"
	/dtotal 1 "Nombre d'enfants gs de 0-59 mois avec diarrhe dans les deux dernires semaines".

* For labels in Spanish uncomment commands below.
* variable labels
	 zinc "Zinc"
    /orsdmore "SRO o lquidos incrementados"
	/ort "ORT (SRO o lquido casero recomendado por  el gobierno o lquidos incrementados) "
	/ortfeed "ORT con alimentacin continuada [1]"
	/antibioticp "Antibiotico"
	/antimotility "Anti-motilidad"
	/otherpill "Otro"
	/dkpill "Desconocido"
	/antibiotici "Antibiotico"
	/nonantii "No-antibiotico"
	/dkinj "Desconocido"
	/intravenous "Intravenoso"
	/homerem "Remedio casero, medicacin de herbolarios"
	/other "Otro"
	/noothertreat "Sin otro tratamiento"
	/notreat "No se ha dado ningn tratamiento o medicamento".
* value labels 
     layer 0 "Nios/as con diarrea que recibieron:"
	/layer2 0 "Otros tratamientos"
	/layer3 0 "Pldora o jarabe"
	/layer4 0 "Inyeccin"
	/dtotal 1 "Nmero de nios de 0-59 meses con diarrea en las ltimas dos semanas".


* Ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables = layer layer2 tot dtotal layer3 layer4
         display = none
  /table tot [c]
         + HL4 [c] 
         + hh6 [c] 
         + hh7 [c] 
         + CAGE_11 [c] 
         + melevel [c]
         + caretakerdis [c]
         + ethnicity [c]
         + windex5 [c]  by 
              layer [c] > ( zinc [s] [mean '' f5.1] + orsdmore [s] [mean '' f5.1] + ort [s] [mean '' f5.1] + ortfeed [s] [mean '' f5.1]  +
             	             layer2 [c] > (layer3 [c] > (antibioticp [s] [mean '' f5.1] + antimotility [s] [mean '' f5.1] + 
                                  otherpill [s] [mean '' f5.1] + dkpill [s] [mean '' f5.1]) + layer4 [c] > (antibiotici [s] [mean '' f5.1] + 
                                  nonantii [s] [mean '' f5.1] + dkinj [s] [mean '' f5.1]) + intravenous [s] [mean '' f5.1] +
                                  homerem [s] [mean '' f5.1] + other [s] [mean '' f5.1]+ noothertreat [s] [mean '' f5.1])) +
              notreat [s] [mean '' f5.1] +
              dtotal [c] [count '' f5.0]
 /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
  "Table TC.3.4: Oral rehydration therapy with continued feeding and other treatments"
  	"Percentage of children age 0-59 months with diarrhoea in the last two weeks who were given oral rehydration therapy " +
                  "with continued feeding and percentage who were given other treatments, " + surveyname
  caption =
    "[1] MICS indicator TC.14 - Diarrhoea treatment with oral rehydration therapy (ORT) and continued feeding".


* Ctables command in French.
* ctables
  /vlabels variables = layer layer2 tot dtotal layer3 layer4
         display = none
  /table tot [c]
         + HL4 [c] 
         + hh6 [c] 
         + hh7 [c] 
         + CAGE_11 [c] 
         + melevel [c]
         + caretakerdis [c]
         + ethnicity [c]
         + windex5 [c]  by 
              layer [c] > ( zinc [s] [mean '' f5.1] + orsdmore [s] [mean '' f5.1] + ort [s] [mean '' f5.1] + ortfeed [s] [mean '' f5.1]  +
             	             layer2 [c] > (layer3 [c] > (antibioticp [s] [mean '' f5.1] + antimotility [s] [mean '' f5.1] + 
                                  otherpill [s] [mean '' f5.1] + dkpill [s] [mean '' f5.1]) + layer4 [c] > (antibiotici [s] [mean '' f5.1] + 
                                  nonantii [s] [mean '' f5.1] + dkinj [s] [mean '' f5.1]) + intravenous [s] [mean '' f5.1] +
                                  homerem [s] [mean '' f5.1] + other [s] [mean '' f5.1]+ noothertreat [s] [mean '' f5.1])) +
              notreat [s] [mean '' f5.1] +
              dtotal [c] [count '' f5.0]
 /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
  "Tableau TC.3.4: Traitement de la diarrhe avec thrapie de rhydratation orale (TRO) et poursuite de l'alimentation "
  	"Pourcentage d'enfants gs de 0-59 mois avec diarrhe dans les deux dernires semaines qui ont reu une thrapie de rhydration orale avec poursuite de l'alimentation "+
	"et pourcentage de ceux qui ont reu d'autres traitements, " + surveyname
  caption =
    "[1] Indicateur MICS TC.14 - Traitement de la diarrhe avec thrapie de rhydratation orale (TRO) et poursuite de l'alimentation".


* Ctables command in Spanish.
* ctables
  /vlabels variables = layer layer2 tot dtotal layer3 layer4
         display = none
  /table tot [c]
         + HL4 [c] 
         + hh6 [c] 
         + hh7 [c] 
         + CAGE_11 [c] 
         + melevel [c]
         + caretakerdis [c]
         + ethnicity [c]
         + windex5 [c]  by 
              layer [c] > ( zinc [s] [mean '' f5.1] + orsdmore [s] [mean '' f5.1] + ort [s] [mean '' f5.1] + ortfeed [s] [mean '' f5.1]  +
             	             layer2 [c] > (layer3 [c] > (antibioticp [s] [mean '' f5.1] + antimotility [s] [mean '' f5.1] + 
                                  otherpill [s] [mean '' f5.1] + dkpill [s] [mean '' f5.1]) + layer4 [c] > (antibiotici [s] [mean '' f5.1] + 
                                  nonantii [s] [mean '' f5.1] + dkinj [s] [mean '' f5.1]) + intravenous [s] [mean '' f5.1] +
                                  homerem [s] [mean '' f5.1] + other [s] [mean '' f5.1]+ noothertreat [s] [mean '' f5.1])) +
              notreat [s] [mean '' f5.1] +
              dtotal [c] [count '' f5.0]
 /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
  "Tabla TC.3.4: Terapia oral de rehidratacin con alimentacin continuada y otros tratamientos"
  	"Porcentaje de nios/as de 0-59 meses de edad con diarrea en las dos ltimas semanas que recibieron terapia oral de rehidratacin con alimentacin continuada "+
	"y porcentaje de nios/as con diarrea que recibieron otros tratamientos, " + surveyname
  caption =
    "[1] MICS indicador TC.14 - Tratamiento contra la diarrea con terapia de rehidratacin oral (SRO) y alimentacin continua".

new file.