* Encoding: windows-1252.
 * "Source of net: TN10 (1-3) and TN12

 * Insecticide-treated nets (ITN) are long lasting insecticidal treated nets (TN5=11-18)."														
										

* Call include file for the working directory and the survey name.
include "surveyname.sps".

* Open nets data file.
get file = "tn.sav".

sort cases by HH1 HH2.

weight by hhweight.


compute nettype=2.
if (TN5 >=11 and TN5 <= 18) nettype = 1.
variable labels nettype "Type of net".
value labels nettype 1 "ITN [A]" 2 "Other/Missing".

compute source =99.
if TN12>=1 source=TN12+3.
if TN10 <=3 source=TN10.
if TN12=96 source=96.
if TN12>=98 source=99.

variable labels source "Percent distribution of source of mosquito nets".
value labels source 1"Mass distribution campaign" 2"Antenatal Care visit" 3 "Immunization visit" 4"Health facility-Government" 5 "Health facility-Private"  
                               6 "Pharmacy" 7 "Shop/ Market/ Street" 8 "Community health worker" 9 "Religious institution" 10 "School" 96 "Other" 99 "DK/Missing".

compute numnets = 1.
value labels numnets  1 "Number of mosquito nets".
variable labels  numnets "".

compute tot = 1.
variable labels  tot "".
value labels tot 1 "Total".

* For labels in French uncomment commands below.
* variable labels source "Rpartition en pourcentage de la source de moustiquaires".
* value labels 
   numnets  1 "Nombre de moustiquaires"
   /nettype 1 "MII [A]" 2 "Autre/Manquant"
   /source 1 "Campagne de distribution de masse" 2 "Visite de soins prnataux" 3 "Visite de vaccination" 
                               4 "tablissement de sant-Gouvernement" 5 "tablissement de sant-Priv"  
                               6 "Pharmacie" 7 "Boutique / March / Rue" 8 "Agent de sant communautaire" 9 "Institution religieuse"  
							   10 "cole" 96 "Autre" 99 "NSP/Manquant".

* For labels in Spanish uncomment commands below.
* variable labels source "Percent distribution of source of mosquito nets".
* value labels 
   numnets  1 "Nmero de mosquiteros"
   /nettype 1 "MTI [A]" 2 "Otro/Ignorado"
   /source 1"Campaa de distribucin masiva" 2"Visita de atencin prenatal" 3 "Visita de inmunizacin" 
           4"Instalacin de salud-Gobierno" 5 "Instalacin de salud-Privado"  
           6 "Farmacia" 7 "Tienda/ Mercado/ Calle" 8 "Trabajador comunitario de salud" 9 "Institucin religiosa" 
		  10 "Escuela" 96 "Otro" 99 "NS/Ignorado.
							   
* Ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables =  numnets tot 
         display = none
  /table tot [c]
         + HH6 [c]
         + HH7 [c]
         + nettype [c]
         + helevel [c]
         + ethnicity [c]
         + windex5 [c] by 
             source [c] [rowpct.totaln '' f5.1] 	
         + numnets [c] [count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /categories variables=source total=yes position= after label= "Total"
  /slabels position=column visible = no
  /titles title=
	"Table TC.6.2: Source of mosquito nets"
 "Percent distribution of mosquito nets by source of net, according to background characteristics, "  + surveyname
  caption =
  "[A] An insecticide-treated net (ITN) is a net treated at factory that does not require any further treatment. In previous surveys, this was known as a long-lasting insecticidal net (LLIN). An 'other' net is any net that is not an ITN.".										

							   
* Ctables command in French.
* ctables
  /vlabels variables =  numnets tot 
         display = none
  /table tot [c]
         + HH6 [c]
         + HH7 [c]
         + nettype [c]
         + helevel [c]
         + ethnicity [c]
         + windex5 [c] by 
             source [c] [rowpct.totaln '' f5.1] 	
         + numnets [c] [count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /categories variables=source total=yes position= after label= "Total"
  /slabels position=column visible = no
  /titles title=
	"Tableau TC.6.2: Source de moustiquaires"
 "Pourcentage de distribution des moustiquaires par source de moustiquaires, selon les caractristiques de base, "  + surveyname
  caption =
  "[A] Une moustiquaire impregnes d'insecticide (MII) est une moustiquaire impregne trait en usine qui ne ncessite aucun traitement supplmentaire. " +
  "Dans les enqutes prcdentes, il s'agissait d'une moustiquaire d'insecticide  longue dure d'action (MILD). 'Autres' moustiquaire est toute moustiquaire qui n'est pas MII.".										

							   
* Ctables command in Spanish.
* ctables
  /vlabels variables =  numnets tot 
         display = none
  /table tot [c]
         + HH6 [c]
         + HH7 [c]
         + nettype [c]
         + helevel [c]
         + ethnicity [c]
         + windex5 [c] by 
             source [c] [rowpct.totaln '' f5.1] 	
         + numnets [c] [count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /categories variables=source total=yes position= after label= "Total"
  /slabels position=column visible = no
  /titles title=
	"Tabla TC.6.2: Fuente de [obtencin de] mosquiteros"
 "Distribucin porcentual de mosquiteros por fuente [de obtencin] de mosquitero, de acuerdo con las caractersticas de origen "  + surveyname
  caption =
  "[A] Un mosquitero tratado con insecticida (MTI) es un mosquitero tratado en fbrica que no requiere ningn tratamiento adicional. " +
  "En encuestas anteriores, esto se conoca como mosquitero tratado con insecticida de larga duracin (LLIN). 'Otro' es un mosquitero que no es MTI.".										

new file.