﻿* Encoding: windows-1252.
* Children attending early childhood education: (UB8A/B=1).

***.

* Call include file for the working directory and the survey name.
include "surveyname.sps".

* Open children data file.
get file = 'ch.sav'.

include "CommonVarsCH.sps".

* Select completed households.
select if (UF17  = 1).

* Select only children 36 to 59 months old.
select if (cage >= 36 and cage <= 59).

* Weight the data by the children weight.
weight by chweight.

* Generating age groups.
recode  cage
  (36 thru 47 = 1)
  (48 thru 59 = 2) into ageGr.
variable labels ageGr 'Age (in months)'.
value labels ageGr
  1 '36-47'
  2 '48-59'.

*Children attending early childhood education: (UB8A/B=1).
compute ecedu = 0.
if (UB8 = 1) ecedu = 100.
variable labels ecedu "Percentage of children age 36-59 months attending early childhood education [1]".

* Generate total.
compute total = 1.
compute numChildren = 1.
variable labels total "Total".
value labels
  /total 1 " "
  /numChildren 1 "Number of children age 36-59 months".

variable labels cdisability "Functional difficulties".

*  For labels in French uncomment commands below.
* variable labels
     cdisability "Difficultés fonctionnelles"
	/ecedu "Pourcentage d'enfants âgés de 36 à 59 mois qui fréquentent l'éducation préscolaire [1]" .

* value labels numChildren 1 "Nombre d'enfants âgés de 36 à 59 mois".

*  For labels in Spanish uncomment commands below.
* variable labels
     cdisability "Dificultades funcionales"
	/ecedu "Porcentaje de niños/as de 36-59 meses que asisten a educación para la primera infancia [1]" .
* value labels numChildren 1 "Número de niños/as de 36-59 meses".


* Ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables =  numChildren 
           display = none
  /table   total[c]
         + hl4 [c]
         + hh6 [c]
         + hh7 [c]
         + ageGr [c]
         + melevel [c]
         + cdisability [c]
         + ethnicity [c]
         + windex5 [c]
   by
           ecedu [s] [mean ''  f5.1]
         + numChildren [c] [count f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels visible=no
  /titles title=
     "Table LN.1.1: Early childhood education"
     "Percentage of children age 36-59 months who are attending early childhood education, " + surveyname
   caption=
     "[1]  MICS indicator LN.1 - Attendance to early childhood education"
  .

  * Ctables command in French.  
* ctables
  /vlabels variables =  numChildren 
           display = none
  /table   total[c]
         + hl4 [c]
         + hh6 [c]
         + hh7 [c]
         + ageGr [c]
         + melevel [c]
         + cdisability [c]
         + ethnicity [c]
         + windex5 [c]
   by
           ecedu [s] [mean ''  f5.1]
         + numChildren [c] [count f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels visible=no
  /titles title=
     "Tableau LN.1.1: Éducation de la petite enfance"
     "Pourcentage d'enfants de 36-59 mois qui fréquentent l'éducation préscolaire, " + surveyname
   caption=
     "[1]  Indicateur MICS LN.1 - Participation à l'éducation prescolaire"
  .
  
  * Ctables command in Spanish.  
* ctables
  /vlabels variables =  numChildren 
           display = none
  /table   total[c]
         + hl4 [c]
         + hh6 [c]
         + hh7 [c]
         + ageGr [c]
         + melevel [c]
         + cdisability [c]
         + ethnicity [c]
         + windex5 [c]
   by
           ecedu [s] [mean ''  f5.1]
         + numChildren [c] [count f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels visible=no
  /titles title=
     "Tabla LN.1.1: Educación para la primera infancia"
     "Porcentaje de niños/as de 36-59 meses que asisten a educación para la primera infancia, " + surveyname
   caption=
     "[1]  MICS indicator LN.1 - Asistencia a educación para la primera infancia"
  .

new file.