* Encoding: windows-1252.
include "surveyname.sps".

get file = 'fs.sav'.

weight by fsweight.

select if CB3 >=7 and CB3<=14.

compute attendingSchool = 0.
if (CB7 = 1) attendingSchool = 100.
variable labels attendingSchool "Percentage of children attending school".

* Children with 3 or more books to read at home: PR3>02 and PR3<=10.
* Children who read books or are read to at home: FL6A=1 or FL6B=1.
* - The denominators for these columns are likely different and therefore presented separately.

compute books3More = 0.
if (PR3>2 and PR3<=10) books3More = 100.
variable labels books3More "Percentage of children with 3 or more books to read at home [1]".

compute numChildren1 = 1.
variable labels numChildren1 "Number of children age 7-14 years".


do if (FL28 = 1).

compute readAtHome = 0.
if (FL6A=1 or FL6B=1) readAtHome = 100.
variable labels readAtHome "Percentage of children who read books or are read to at home [2]".

compute numChildren2 = 1.
variable labels numChildren2 "Number of children age 7-14 years".

end if.


do if (attendingSchool = 100).

compute haveHomework = 0.
if (PR5=1) haveHomework = 100.
variable labels haveHomework "Percentage of children who have homework".

compute numChildren3 = 1.
variable labels numChildren3 "Number of children age 7-14 years attending school".

end if.
	
* Children who at home use the language also used by teachers at school: FL7=FL9.
*Denominator: Children attending school (CB7/ED9=1).
*- The denominators for these columns are likely different and therefore presented separately.

do if (FL28 = 1 and attendingSchool = 100).

compute sameL = 0.
if (FL7=FL9) sameL = 100.
variable labels sameL "Percentage of children who at home use the language also used by teachers at school [3]".

compute numChildren4 = 1.
variable labels numChildren4 "Number of children age 7-14 years attending school".

end if.

do if (haveHomework = 100).

compute helpHomework = 0.
if (PR6=1) helpHomework = 100.
variable labels helpHomework "Percentage of children who receive help with homework [4]".

compute numChildren5 = 1.
variable labels numChildren5 "Number of children age 7-14 attending school and have homework".

end if.

compute total = 1.
variable labels total "Total".
value labels total 1 " ".	
		
recode CB8A (0=0)(1=1)(2=2)(3,4, 5 = 3) (8,9 = 9)(else = 10) into school.
variable labels school "School attendance".
value lables school
0 "Early childhood education"
1 "Primary"
2 "Lower secondary"
3 "Upper secondary"
9 "DK/Missing"
10 "Out-of-school".

*  For labels in French uncomment commands below.
* variable labels
     books3More "Pourcentage d'enfants ayant 3 livres ou plus  lire  la maison [1]"
	/numChildren1 "Nombre d'enfants gs de 7-14 ans "
	/readAtHome "Pourcentage d'enfants qui lisent des livres ou pour qui ces livres sont lus chez eux [2]"
	/numChildren2 "Nombre d'enfants gs de 7-14 ans "
	/haveHomework "Pourcentage d'enfants qui ont des devoirs "
	/numChildren3 "Nombre d'enfants gs de 7-14 ans  frquentant l'cole "
	/sameL "Pourcentage des enfants qui utilisent la langue utilise par les enseignants  l'cole [3]"
	/numChildren4 "Nombre d'enfants gs de 7-14 ans  frquentant l'cole "
	/helpHomework "Pourcentage d'enfants qui reoivent de l'aide pour leurs devoirs [4]"
	/numChildren5 "Nombre d'enfants gs de 7-14 ans  frquentant l'cole et avoir des devoirs".
* variable labels school "Frquentation scolaire".
* value lables school
      0 "Prescolaire"
      1 "Primaire"
      2 "Secondaire 1er Cycle"
      3 "Secondaire 2eme Cycle"
      9 "NSP/Manquant"
      10 "'En dehors de l'Ecole".

*  For labels in Spanish uncomment commands below.
* variable labels
     books3More "Porcentaje de nios con 3 o ms libros para leer en casa [1]"
	/numChildren1 "Nmero de nios de 7 a 14 aos "
	/readAtHome "Porcentaje de nios que leen libros o que les leen en casa [2]"
	/numChildren2 "Nmero de nios de 7 a 14 aos"
	/haveHomework "Porcentaje de nios que tienen tarea"
	/numChildren3 "Nmero de nios de 7 a 14 aos que asisten a la escuela"
	/sameL "Porcentaje de nios que en casa usan el idioma que utilizan los profesores en la escuela [3]"
	/numChildren4 "Nmero de nios de 7 a 14 aos que asisten a la escuela"
	/helpHomework "Porcentaje de nios que reciben ayuda con la tarea [4]"
	/numChildren5 "Nmero de nios de 7 a 14 aos que asisten a la escuela y tienen tarea".
* variable labels school "Asistencia a la escuela".
* value lables school
      0 "Educacin de la primera  infancia"
      1 "Primaria"
      2 "Secundaria baja"
      3 "Secundaria alta"
      9 "NS/Ignorado"
      10 "'Fuera de la escuela".

* Ctables command in English (currently active, comment it out if using different language).
ctables
  /format missing = "na" 
  /table   total [c] 
        + hl4 [c]
         + hh6 [c]
         + hh7 [c]
         + schage [c]
         + school [c]
         + melevel [c]
         + fsdisability [c]
         + caretakerdis [c]
         + ethnicity [c]         
         + windex5 [c]
   by
           books3More [s] [mean '' f5.1] 
           + numChildren1 [s] [validn '' f5.0] 
           + readAtHome [s] [mean '' f5.1] 
           + numChildren2 [s] [validn '' f5.0] 
           + haveHomework [s] [mean '' f5.1] 
           + numChildren3 [s] [validn '' f5.0] 
           + sameL [s] [mean '' f5.1] 
           + numChildren4 [s] [validn '' f5.0] 
           + helpHomework [s] [mean '' f5.1] 
           + numChildren5 [s] [validn '' f5.0] 
  /categories var=all empty=exclude missing=exclude
  /slabels position=column
  /titles title=
    "Table LN.3.3: Learning environment at home"								
     "Percentage of children age 7-14 years with 3 or more books to read and percentage who read or are read to at home, percentage of children age 7-14 years " +
     "who have homework and percentage whose teachers use the language also spoken at home among children who attend school, " +
     "and percentage of children who receive help with homework among those who have homework, 	" + surveyname
   caption = 
   "[1] MICS indicator LN.18 - Availability of books at home"									
   "[2] MICS indicator LN.19 - Reading habit at home"									
   "[3] MICS indicator LN.20 - School and home languages"								
   "[4] MICS indicator LN.21 - Support with homework"
   "na: not applicable".						
   
	
* Ctables command in French.  
* ctables
  /format missing = "na" 
  /table   total [c] 
        + hl4 [c]
         + hh6 [c]
         + hh7 [c]
         + schage [c]
         + school [c]
         + melevel [c]
         + fsdisability [c]
         + caretakerdis [c]
         + ethnicity [c]
         + windex5 [c]
   by
           books3More [s] [mean '' f5.1] 
           + numChildren1 [s] [validn '' f5.0] 
           + readAtHome [s] [mean '' f5.1] 
           + numChildren2 [s] [validn '' f5.0] 
           + haveHomework [s] [mean '' f5.1] 
           + numChildren3 [s] [validn '' f5.0] 
           + sameL [s] [mean '' f5.1] 
           + numChildren4 [s] [validn '' f5.0] 
           + helpHomework [s] [mean '' f5.1] 
           + numChildren5 [s] [validn '' f5.0] 
  /categories var=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
    "Tableau LN.3.3: Environnement d'apprentissage la maison"								
     "Pourcentage d'enfants gs de 7-14 ans avec 3 livres ou plus  lire et pourcentage de ceux qui lisent ou pour qui ces livres sont lus chez eux, pourcentage d'enfants gs de 7-14 ans  " +
     "ayant fait leurs devoirs et pourcentage dont les enseignants utilisent la mme langue parle  la maison parmi les enfants qui frquentent l'cole, " +
     "et pourcentage d'enfants qui reoivent de l'aide pour faire leurs devoirs de maison parmi ceux qui ont des devoirs de maison, 	" + surveyname
   caption = 
   "[1] Indicateur MICS LN.18 - Disponibilit des livres la maison"									
   "[2] Indicateur MICS LN.19 - Habitudes de lecture  la maison"									
   "[3] Indicateur MICS LN.20 - Langues scolaires et domestiques"								
   "[4] Indicateur MICS LN.21 - Aide aux devoirs"
   "na: n'est pas applicable".								
   
* Ctables command in Spanish.  
* ctables
  /format missing = "na" 
  /table   total [c] 
        + hl4 [c]
         + hh6 [c]
         + hh7 [c]
         + schage [c]
         + school [c]
         + melevel [c]
         + fsdisability [c]
         + caretakerdis [c]
         + ethnicity [c]
         + windex5 [c]
   by
           books3More [s] [mean '' f5.1] 
           + numChildren1 [s] [validn '' f5.0] 
           + readAtHome [s] [mean '' f5.1] 
           + numChildren2 [s] [validn '' f5.0] 
           + haveHomework [s] [mean '' f5.1] 
           + numChildren3 [s] [validn '' f5.0] 
           + sameL [s] [mean '' f5.1] 
           + numChildren4 [s] [validn '' f5.0] 
           + helpHomework [s] [mean '' f5.1] 
           + numChildren5 [s] [validn '' f5.0] 
  /categories var=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
    "Tabla LN.3.3: Entorno de aprendizaje en casa"								
     "Porcentaje de nios de 7-14 aos con 3 o ms libros para leer y porcentaje que lee o que les leen en casa, " +
     "porcentaje de nios de 7-14 aos que tienen tarea y porcentaje cuyos maestros usan el idioma que tambin se habla en casa entre nios que asisten a la escuela, y " +
     "porcentaje de nios que reciben ayuda con la tarea entre aquellos que tienen tarea, " + surveyname
   caption = 
   "[1] MICS indicador LN.18 - Disponibilidad de libros en casa"									
   "[2] MICS indicador LN.19 -Hbito de lectura en casa"									
   "[3] MICS indicador LN.20 - Idiomas de la casa y la escuela"								
   "[4] MICS indicador LN.21 - Apoyo con la tarea"
   "na: no aplicable".

new file.
