* Encoding: windows-1252.

include "surveyname.sps".

get file = 'fs.sav'.

include "CommonVarsFS.sps".

select if (FS17 = 1).

weight by fsweight.

* definitions of econcomic activity variables  (ea1more, ea14less, ea14more, ea43less, ea43more) .
include 'define\MICS6 - 09 - PR.sps' .

variable labels
   hhc28less "Household chores less than 28 hours"
  /hhc28more "Household chores for 28 hours or more"
  /hhc43less "Household chores less than 43 hours"
  /hhc43more "Household chores for 43 hours or more" .

if (CB3<=11) numChildren5_11 = 1 .
if (any(CB3, 12, 13, 14)) numChildren12_14 = 1 .
if (any(CB3, 15, 16, 17)) numChildren15_17 = 1 .

compute layerPercent5_11 = numChildren5_11 .
compute layerPercent12_14 = numChildren12_14 .
compute layerPercent15_17 = numChildren15_17 .

value labels
   numChildren5_11   1 "Number of children age 5-11 years"
  /numChildren12_14  1 "Number of children age 12-14 years"
  /numChildren15_17  1 "Number of children age 15-17 years"
  /layerPercent5_11  1 "Percentage of children age 5-11 years involved in:"
  /layerPercent12_14 1 "Percentage of children age 12-14 years involved in:"
  /layerPercent15_17 1 "Percentage of children age 15-17 years involved in:"
  .

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

add value labels melevel 7 'No information [A]'.

*  For labels in French uncomment commands below.
* variable labels schoolAttendance "Frquentation scolaire".
* value labels schoolAttendance 1 "Frequente l'cole" 2 "Ne frequenet pas l'cole" .
* add value labels melevel 7 'Aucune information [A]'.
* variable labels 
   hhc28less "Tches mnagres de moins de 28 heures "
  /hhc28more "Tches mnagres de 28 heures ou plus "
  /hhc43less "Tches mnagres de moins de 43 heures "
  /hhc43more "Tches mnagres de 43 heures ou plus "  
* value labels
   numChildren5_11   1 "Nombre d'enfants gs de 5  11 ans "
  /numChildren12_14  1 "Nombre d'enfants gs de 12  14 ans "
  /numChildren15_17  1 "Nombre d'enfants gs de 15  17 ans "
  /layerPercent5_11  1 "Pourcentage d'enfants gs de 5  11 ans impliqus dans:"
  /layerPercent12_14 1 "Pourcentage d'enfants gs de 12  14 ans impliqus dans:"
  /layerPercent15_17 1 "Pourcentage d'enfants gs de 15  17 ans impliqus dans:"
  
*  For labels in Spanish uncomment commands below.
* variable labels schoolAttendance "Asistencia a la escuela".
* value labels schoolAttendance 1 "Asiste" 2 "No asiste" .
* add value labels melevel 7 'Sin informacin [A]'.
* variable labels 
   hhc28less "Tareas domsticas menos de 28 horas "
  /hhc28more "Tareas domsticas por 28 horas o ms "
  /hhc43less "Tareas domsticas menos de 43 horas "
  /hhc43more "Tareas domsticas por 43 horas o ms "  
* value labels
   numChildren5_11      1 "Nmero de nios/as de 5-11 aos"
  /numChildren12_14     1 "Nmero de nios/as de 12-14 aos"
  /numChildren15_17     1 "Nmero de nios/as de 15-17 aos"
  /layerPercent5_11  1 "Porcentaje de niños/as de 5-11 años participando en:"
  /layerPercent12_14 1 "Porcentaje de niños/as de 12-14 años participando en:"
  /layerPercent15_17 1 "Porcentaje de niños/as de 15-17 años participando en:"


* Ctables command in English (currently active, comment it out if using different language).
ctables
  /format missing = "na" 
  /vlabels variables = numChildren5_11 numChildren12_14 numChildren15_17 layerPercent5_11 layerPercent12_14 layerPercent15_17
           display = none
  /table   total [c]
         + hl4 [c]
         + hh6 [c]
         + hh7 [c]
         + schoolAttendance [c]
         + melevel [c]
         + fsdisability [c]
         + caretakerdis [c]
         + ethnicity [c]
         + windex5 [c]
   by
           layerPercent5_11 [c] > (
             hhc28less[s] [mean '' f5.1]
           + hhc28more[s] [mean '' f5.1] )
         + numChildren5_11 [c] [count '' f5.0]
         + layerPercent12_14 [c] > (
             hhc28less[s] [mean '' f5.1]
           + hhc28more[s] [mean '' f5.1] )
         + numChildren12_14 [c] [count '' f5.0]
         + layerPercent15_17 [c] > (
             hhc43less[s] [mean '' f5.1]
           + hhc43more[s] [mean '' f5.1] )
         + numChildren15_17 [c] [count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
     "Table PR.3.2: Children's involvement in household chores"
  	 "Percentage of children by involvement in household chores during the last week, according to age groups, " + surveyname
   caption=
     "[A] Children age 15 or higher identified as emancipated"
     "na: not applicable" .							

* Ctables command in French.  
* ctables
  /format missing = "na" 
  /vlabels variables = numChildren5_11 numChildren12_14 numChildren15_17 layerPercent5_11 layerPercent12_14 layerPercent15_17
           display = none
  /table   total [c]
         + hl4 [c]
         + hh6 [c]
         + hh7 [c]
         + schoolAttendance [c]
         + melevel [c]
         + fsdisability [c]
         + caretakerdis [c]
         + ethnicity [c]
         + windex5 [c]
   by
           layerPercent5_11 [c] > (
             hhc28less[s] [mean '' f5.1]
           + hhc28more[s] [mean '' f5.1] )
         + numChildren5_11 [c] [count '' f5.0]
         + layerPercent12_14 [c] > (
             hhc28less[s] [mean '' f5.1]
           + hhc28more[s] [mean '' f5.1] )
         + numChildren12_14 [c] [count '' f5.0]
         + layerPercent15_17 [c] > (
             hhc43less[s] [mean '' f5.1]
           + hhc43more[s] [mean '' f5.1] )
         + numChildren15_17 [c] [count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
     "Tableau PR.3.2: Participation des enfants dans les tches mnagres"
  	 "Pourcentage d'enfants selon leur implication dans les tches mnagres durant la semaine prcdente selon le groupe d'ges, " + surveyname
   caption=
     "[A] Un enfant de 15 ans ou plus identifi comme mancip"
     "na: n'est pas applicable" .
	 
* Ctables command in Spanish.  
* ctables
  /format missing = "na" 
  /vlabels variables = numChildren5_11 numChildren12_14 numChildren15_17 layerPercent5_11 layerPercent12_14 layerPercent15_17
           display = none
  /table   total [c]
         + hl4 [c]
         + hh6 [c]
         + hh7 [c]
         + schoolAttendance [c]
         + melevel [c]
         + fsdisability [c]
         + caretakerdis [c]
         + ethnicity [c]
         + windex5 [c]
   by
           layerPercent5_11 [c] > (
             hhc28less[s] [mean '' f5.1]
           + hhc28more[s] [mean '' f5.1] )
         + numChildren5_11 [c] [count '' f5.0]
         + layerPercent12_14 [c] > (
             hhc28less[s] [mean '' f5.1]
           + hhc28more[s] [mean '' f5.1] )
         + numChildren12_14 [c] [count '' f5.0]
         + layerPercent15_17 [c] > (
             hhc43less[s] [mean '' f5.1]
           + hhc43more[s] [mean '' f5.1] )
         + numChildren15_17 [c] [count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
     "Tabla PR.3.2: Participacin de los nios/as en las tareas domsticas"
  	 "Porcentaje de nios/as por su participacin en tareas domsticas durante la ltima semana, de acuerdo a grupos de edad, " + surveyname
   caption=
     "[A] Nios/as de 15 o ms aos identificados como emancipados/as"
     "na: no aplicable" .

new file.

