* Encoding: windows-1252.
include "surveyname.sps".

get file = "wm.sav".

include "CommonVarsWM.sps".

select if (WM17 = 1).

weight by wmweight.

compute heardFgm = 0.
if (FG1 = 1 or FG2 = 1) heardFgm = 100.
if (FG1 = 1 or FG2 = 1) numHeard = 1.
variable labels heardFgm "Percentage of women who have heard of FGM/C".
value labels numHeard 1 "Number of women age 15-49 years who have heard of FGM/C".

recode FG24 (8,9 = 9) (else = copy).
variable labels FG24 "Percent distribution of women who believe the practice of FGM/C should be:".
value labels FG24
  1 "Continued [1]"
  2 "Discontinued"
  3 "Depends"
  9 "DK/Missing".

compute womanFgm = 1.
if (FG3 = 1) womanFgm = 2.
variable labels womanFgm "FGM/C experience".
value labels womanFgm
  1 "No FGM/C"
  2 "Had FGM/C".

compute numWomen = 1.
value labels numWomen 1 "Number of women aged 15-49 years".

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

*  For labels in French uncomment commands below.
* variable labels 
     heardFgm "Pourcentage de femmes qui ont entendu parler des MGF / E "
    /FG24 "Pourcentage de femmes estimant que la pratique des MGF / E devrait tre:"
	/womanFgm "Exprience de MGF/E".

* value labels 
    numWomen 1 "Nombre de femmes ges de 15  49 ans"
   /numHeard 1 "Nombre de femmes ges de 15  49 ans ayant entendu parler des MGF/E"
   /womanFgm
       1 "Aucune MGF/E"
       2 "A eu une MGF/E"
  /FG24
       1 "Poursuivie [1]"
       2 "Interrompue"
       3 "Cela Dpend "
       9 "NSP/Manquant".

*  For labels in Spanish uncomment commands below.
* variable labels 
     heardFgm "Porcentaje de mujeres que han odo sobre la MGF "
    /FG24 "Distribucin porcentual de mujeres que piensan que la prctica de la MGF debera ser:"
	/womanFgm "Experiencia en MGF".
* value labels 
    numWomen 1 "Nmero de mujeres de 15 a 49 aos"
   /numHeard 1 "Nmero de mujeres de 15 a 49 aos que han odo sobre la MGF"
   /womanFgm
       1 "No MGF"
       2 "Tuvo MGF"
  /FG24
       1 "Continuada [1]"
       2 "Suspendida"
       3 "Depende "
       9 "NS/Ignorado".
	   
* Ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables = numWomen numHeard
           display = none
  /table  total [c]
        + hh6 [c]
        + hh7 [c]
        + $wage [c]
        + welevel [c]
        + womanFgm [c]         
        + disability [c]
        + ethnicity [c]
        + windex5 [c]
   by
          heardFgm [s] [mean '' f5.1]
        + numWomen [c] [count '' f5.0]
        + FG24 [c] [rowpct.validn '' f5.1]
        + numHeard [c] [count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /categories variables = FG24 total = yes position = after labels = "Total"
  /slabels position=column visible = no
  /titles title=
     "Table PR.5.2: Approval of female genital mutilation/cutting (FGM/C)"
     "Percentage of women age 15-49 years who have heard of FGM/C, and percent distribution of women according to attitudes towards whether the practice of FGM/C should be continued, " + surveyname
   caption =
     "[1] MICS indicator PR.10 - Approval for FGM/C"
  .

* Ctables command in French.  
* ctables
  /vlabels variables = numWomen numHeard
           display = none
  /table  total [c]
        + hh6 [c]
        + hh7 [c]
        + $wage [c]
        + welevel [c]
        + womanFgm [c]         
        + disability [c]
        + ethnicity [c]
        + windex5 [c]
   by
          heardFgm [s] [mean '' f5.1]
        + numWomen [c] [count '' f5.0]
        + FG24 [c] [rowpct.validn '' f5.1]
        + numHeard [c] [count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /categories variables = FG24 total = yes position = after labels = "Total"
  /slabels position=column visible = no
  /titles title=
     "Tableau PR.5.2: Approbation des mutilations gnitales fminines /excision (MGF/E)"
     "Pourcentage de femmes ges de 15  49 ans qui ont entendu parler de MGF/E, et rpartition en pourcentage des femmes en fonction des attitudes  l'gard de la poursuite de la pratique des MGF/E, " + surveyname
   caption =
     "[1] Indicateur MICS PR.10 - Approbation pour MGF/E"
  .

* Ctables command in Spanish.  
* ctables
  /vlabels variables = numWomen numHeard
           display = none
  /table  total [c]
        + hh6 [c]
        + hh7 [c]
        + $wage [c]
        + welevel [c]
        + womanFgm [c]         
        + disability [c]
        + ethnicity [c]
        + windex5 [c]
   by
          heardFgm [s] [mean '' f5.1]
        + numWomen [c] [count '' f5.0]
        + FG24 [c] [rowpct.validn '' f5.1]
        + numHeard [c] [count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /categories variables = FG24 total = yes position = after labels = "Total"
  /slabels position=column visible = no
  /titles title=
     "Tabla PR.5.2: Aprobacin de la mutilacin genital femenina (MGF)"
     "Porcentaje de mujeres de 15 a 49 aos que han odo sobre la MGF y distribucin porcentual de mujeres de acuerdo a las actitudes sobre si la prctica de la MGF debera continuarse, " + surveyname
   caption =
     "[1] Indicador MICS PR.10 -  Aprobacin de la MGF"
  .
  
new file.
