* Encoding: windows-1252.
***.
include "surveyname.sps".
 
get file = "wm.sav".

include "CommonVarsWM.sps".

select if (WM17 = 1).

weight by wmweight.

var label vt20 "Percent distribution of women age 15-49 years who walking alone in their neighbourhood after dark feel:".
var label vt21 "Percent distribution of women age 15-49 years who being home alone after dark feel:".
recode vt20 vt21(9=sysmis).
compute vt20safe=0.
if any(vt20,1,2) vt20safe=100.
var label vt20safe "Percent of women age 15-49 years who feel safe walking alone in their neighbourhood after dark[1]".

compute vt21safe=0.
if any(vt21,1,2) vt21safe=100.
var label vt21safe "Percent of women age 15-49 years who feel safe home alone after dark".

compute unsafe=0.
if vt20=4 or vt21=4 unsafe=100.
var label unsafe "Percentage of women age 15-49 years who after dark feel very unsafe walking alone in their neighborhood or being home alone ".

compute totwomen=1.
var label totwomen "Number of women age 15-49 years".

compute total = 1.
variable labels total "Total".
value labels total 1 " ".


* Ctables command in English (currently active, comment it out if using different language).
ctables
  /table  total [c]
        + hh6 [c]
        + hh7 [c]
        + $wage [c]
        + welevel [c]
        + disability [c]
        + ethnicity [c]
        + windex5 [c]
   by  
        vt20[c][rowpct F4.1]+vt20safe[s][mean F4.1]+
        vt21[c][rowpct F4.1]+vt21safe[s][mean F4.1]+
        unsafe[s][mean F4.1]+
        totwomen[s][sum F6.0]
  /categories variables=all empty=exclude missing=exclude
 /cat var= vt20 vt21 total=yes
  /slabels position=column visible = no
  /titles title=
    "Table PR.7.1W: Feelings of safety (women)"		
    "Percent distribution of women age 15-49 years by feeling of safety walking alone in their neighbourhood after dark and being home alone after dark, "+surveyname															
   caption =
    "1 MICS indicator PR.14 - Safety; SDG indicator 16.1.4	".

new file.


