﻿* Encoding: windows-1252.

***.

include "surveyname.sps".

get file="mn.sav".

select if (MWM17 = 1).

weight by mnweight.

compute goesOut = 0.
if (MDV1A = 1) goesOut = 100.
variable labels goesOut "If she goes out without telling him".

compute neglectsKids = 0.
if (MDV1B = 1) neglectsKids = 100.
variable labels neglectsKids "If she neglects the children".

compute sheArgues = 0.
if (MDV1C = 1) sheArgues = 100.
variable labels sheArgues "If she argues with him".

compute refusesSex = 0.
if (MDV1D = 1) refusesSex = 100.
variable labels refusesSex "If she refuses sex with him".

compute burnsFood = 0.
if (MDV1E = 1) burnsFood = 100.
variable labels burnsFood "If she burns the food".

compute anyReason = 0.
if (any(1, MDV1A, MDV1B, MDV1C, MDV1D, MDV1E)) anyReason = 100.
variable labels anyReason "For any of these five reasons [1]".

compute layer = 1.
value labels layer 1 "Percentage of men age 15-49 years who believe a husband is justified in beating his wife:".

compute nummen = 1.
value labels nummen 1 "Number of men age 15-49 years".

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

*  For labels in French uncomment commands below.
* variable labels
   goesOut "si elle sort sans le lui dire"
  /neglectsKids "si elle néglige les enfants"
  /sheArgues "si elle se dispute avec lui"
  /refusesSex "si elle refuse d'avoir des rapports sexuels avec lui"
  /burnsFood "si elle brûle la nourriture"
  /anyReason "pour n'importe laquelle de ces 5 raisons [1]".
* value labels 
   nummen 1 "Nombre d'hommes âgés de 15 à 49 ans"
  /layer 1 "Pourcentage d'hommes de 15-49 ans qui pensent qu'il est justifié qu'un mari batte sa femme:".
  
*  For labels in Spanish uncomment commands below.
* variable labels
   goesOut "si ella sale sin decírselo"
  /neglectsKids "si ella descuida a los hijos/as"
  /sheArgues "si ella discute con él"
  /refusesSex "si se niega a tener sexo con él"
  /burnsFood "si ella quema la comida"
  /anyReason "por cualquiera de estas cinco razones [1]".
* value labels 
   nummen 1 "Número de hombres de edades entre 15 y 49 años"
  /layer 1 "Pourcentage d'hommes de 15-49 ans qui pensent qu'il est justifié qu'un mari batte sa femme:Porcentaje de hombres de 15 a 49 años que creen que está justificado que un esposo golpee a su esposa/compañera:".

* Ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables = layer nummen
           display = none
  /table  total [c]
        + hh6 [c]
        + hh7 [c]
        + mwage [c]
        + mwelevel [c]
        + mmstatus [c]
        + mdisability [c]
        + ethnicity [c]
        + windex5 [c]
   by
          layer [c] > (
            goesOut [s] [mean '' f5.1]
          + neglectsKids [s] [mean '' f5.1]
          + sheArgues [s] [mean '' f5.1]
          + refusesSex [s] [mean '' f5.1]
          + burnsFood [s] [mean '' f5.1]
          + anyReason [s] [mean '' f5.1] )
        + nummen [c][count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
     "Table PR.8.1M: Attitudes toward domestic violence (men)"
  	 "Percentage of men age 15-49 years who believe a husband is justified in beating his wife in various circumstances, " + surveyname
   caption=
     "[1] MICS indicator PR.15 - Attitudes towards domestic violence"
  .

* Ctables command in French.  
* ctables
  /vlabels variables = layer nummen
           display = none
  /table  total [c]
        + hh6 [c]
        + hh7 [c]
        + mwage [c]
        + mwelevel [c]
        + mmstatus [c]
        + mdisability [c]
        + ethnicity [c]
        + windex5 [c]
   by
          layer [c] > (
            goesOut [s] [mean '' f5.1]
          + neglectsKids [s] [mean '' f5.1]
          + sheArgues [s] [mean '' f5.1]
          + refusesSex [s] [mean '' f5.1]
          + burnsFood [s] [mean '' f5.1]
          + anyReason [s] [mean '' f5.1] )
        + nummen [c][count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
     "Tableau PR.8.1M: Attitudes vis-à-vis de la violence domestique (hommes)"
  	 "Pourcentage d'hommes de 15-49 ans qui pensent qu'il est justifié qu'un mari batte sa femme dans certaines situations, " + surveyname
   caption=
     "[1] Indicateur MICS PR.15 - Attitudes vis-à-vis de la violence domestique"
  .



* Ctables command in Spanish.  
* ctables
  /vlabels variables = layer nummen
           display = none
  /table  total [c]
        + hh6 [c]
        + hh7 [c]
        + mwage [c]
        + mwelevel [c]
        + mmstatus [c]
        + mdisability [c]
        + ethnicity [c]
        + windex5 [c]
   by
          layer [c] > (
            goesOut [s] [mean '' f5.1]
          + neglectsKids [s] [mean '' f5.1]
          + sheArgues [s] [mean '' f5.1]
          + refusesSex [s] [mean '' f5.1]
          + burnsFood [s] [mean '' f5.1]
          + anyReason [s] [mean '' f5.1] )
        + nummen [c][count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
     "Tabla PR.8.1M: Actitudes hacia la violencia doméstica (hombres)"
  	 "Porcentaje de hombres de 15 a 49 años que creen que está justificado que un esposo golpee a su esposa/compañera en diferentes circunstancias, " + surveyname
   caption=
     "[1] Indicador MICS PR.15 -  Actitudes hacia la violencia doméstica"
  .


new file.
