﻿* Encoding: windows-1252.
 * Women with health insurance coverage: WB18=1

***.

include "surveyname.sps".

get file="wm.sav".

include "CommonVarsWM.sps".

select if (WM17 = 1).

weight by wmweight.

compute hinsurance=0.
if WB18=1 hinsurance=100.
variable labels hinsurance "Percentage covered by any health insurance [1]".

compute numWomen = 1.
value labels numWomen 1 "Number of women age 15-49 years".

do if (WB18=1).
+ compute numWinsurance = 1.
+ value labels numWinsurance 1 "Number of women age 15-49 years with health insurance".
+ compute typeinsuranceA=0.
+ compute typeinsuranceB=0.
+ compute typeinsuranceC=0.
+ compute typeinsuranceD=0.
+ compute typeinsuranceX=0.
+if WB19A="A" typeinsuranceA=100.
+if WB19B="B" typeinsuranceB=100.
+if WB19C="C" typeinsuranceC=100.
+if WB19D="D" typeinsuranceD=100.
+if WB19X="X" typeinsuranceX=100.
end if.

variable labels typeinsuranceA "Mutual health organization - Community-based health insurance". 
variable labels typeinsuranceB "Health insurance through employer". 
variable labels typeinsuranceC "Social security". 
variable labels typeinsuranceD "Other privately purchased commercial health insurance".
variable labels typeinsuranceX "Other".	

compute layer1 = 1.
variable labels layer1 "".
value labels layer1 1 "Among women having health insurance, percentage reporting they were insured by".

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

*  For labels in French uncomment commands below.
* variable labels
         typeinsuranceA "Mutuelle de santé / Assurance maladie communautaire"
        /typeinsuranceB "Assurance maladie par l'employeur"
        /typeinsuranceC "Sécurité sociale"
        /typeinsuranceD "Autre assurance santé commerciale privée"
        /typeinsuranceX "Autre"
		/hinsurance "Pourcentage couvert par une assurance maladie [1]".	

* value labels 
         layer1 1 "Parmi les femmes ayant une assurance maladie, le pourcentage déclarant qu'elles étaient assurées par"
		/numWinsurance 1 "Nombre de femmes de 15-49 ans avec une assurance maladie"
		/numWomen 1 "Nombre de femmes de 15-49 ans".	

*  For labels in Spanish uncomment commands below.
* variable labels
         typeinsuranceA "Organización mutual de salud/seguro de salud comunitario"
        /typeinsuranceB "Seguro médico a través del empleador"
        /typeinsuranceC "Seguridad social"
        /typeinsuranceD "Otro seguro médico comercial adquirido de forma privada"
        /typeinsuranceX "Otro"
		/hinsurance "Porcentaje cubierto por cualquier seguro médico [1]".	
* value labels 
         layer1 1 "Entre las mujeres que tienen seguro médico, el porcentaje que reporta estar aseguradas por"
		/numWinsurance 1 "Número de mujeres de 15 a 49 años con seguro médico"
		/numWomen 1 "Número de mujeres de 15 a 49 años".
				
* Ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables =  layer1 numWomen numWinsurance
           display = none
  /table  total [c]
         + HH6 [c]
         + HH7 [c]
         + wage [c]
         + welevel [c]
         + mstatus2 [c]
         + disability [c]
         + ethnicity [c]
         + windex5 [c]
   by
            hinsurance [s] [mean '' f5.1]
        + numWomen [c][count '' f5.0]
        + layer1 [c] > ( typeinsuranceA [s] [mean '' f5.1] 
        + typeinsuranceB [s] [mean '' f5.1] 
        + typeinsuranceC [s] [mean '' f5.1] 
        + typeinsuranceD [s] [mean '' f5.1] 
        + typeinsuranceX [s] [mean '' f5.1] )
        + numWinsurance [c][count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
     "Table EQ.2.1W: Health insurance coverage (women)"
  	 "Percentage of women age 15-49 with health insurance, and, among those with health insurance, percentage covered by various health insurance plans, " + surveyname
   caption=
     "[1] MICS indicator EQ.2a - Health insurance coverage"
  .

  * Ctables command in French.  
* ctables
ctables
  /vlabels variables =  layer1 numWomen numWinsurance
           display = none
  /table  total [c]
         + HH6 [c]
         + HH7 [c]
         + wage [c]
         + welevel [c]
         + mstatus2 [c]
         + disability [c]
         + ethnicity [c]
         + windex5 [c]
   by
            hinsurance [s] [mean '' f5.1]
        + numWomen [c][count '' f5.0]
        + layer1 [c] > ( typeinsuranceA [s] [mean '' f5.1] 
        + typeinsuranceB [s] [mean '' f5.1] 
        + typeinsuranceC [s] [mean '' f5.1] 
        + typeinsuranceD [s] [mean '' f5.1] 
        + typeinsuranceX [s] [mean '' f5.1] )
        + numWinsurance [c][count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
     "Tableau EQ.2.1W: Couverture d'assurance maladie (femmes)"
  	 "Pourcentage de femmes âgées de 15 à 49 ans ayant une assurance maladie et, parmi celles ayant une assurance maladie, pourcentage couvert par divers régimes d'assurance maladie, " + surveyname
   caption=
     "[1] Indicateur MICS EQ.2a - Couverture d'assurance maladie".


  * Ctables command in Spanish.  
* ctables
ctables
  /vlabels variables =  layer1 numWomen numWinsurance
           display = none
  /table  total [c]
         + HH6 [c]
         + HH7 [c]
         + wage [c]
         + welevel [c]
         + mstatus2 [c]
         + disability [c]
         + ethnicity [c]
         + windex5 [c]
   by
            hinsurance [s] [mean '' f5.1]
        + numWomen [c][count '' f5.0]
        + layer1 [c] > ( typeinsuranceA [s] [mean '' f5.1] 
        + typeinsuranceB [s] [mean '' f5.1] 
        + typeinsuranceC [s] [mean '' f5.1] 
        + typeinsuranceD [s] [mean '' f5.1] 
        + typeinsuranceX [s] [mean '' f5.1] )
        + numWinsurance [c][count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
     "Tabla EQ.2.1W: Cobertura de seguro médico (mujeres)"
  	 "Porcentaje de mujeres de 15 a 49 años con seguro de salud y, entre las personas con seguro de salud, porcentaje cubierto por varios planes de seguro de salud, " + surveyname
   caption=
     "[1]  MICS indicador EQ.2a - Cobertura de seguro médico".

new file.
