* Encoding: windows-1252.
 * Households who are aware of economic assistance programme: ST2A=1 or ST2B=1 or ST2C=1 or ST2D=1 or ST2X=1.

 * Households who are aware and have ever received assistance: (ST2A=1 or ST2B=1 or ST2C=1 or ST2D=1 or ST2X=1) and (ST3A=1 or ST3B=1 or ST2C=1 or ST3D=1 or ST3X=1).
***.


* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file= 'hl.sav'.

compute orphan=0.
if (HL12=2 or HL16=2) orphan=1.

aggregate outfile = 'orphan.sav'
  /break   = HH1 HH2
  /nOrphan  = sum(orphan).

new file.

get file = 'hh.sav'.

include "CommonVarsHH.sps".

select if (HH46  = 1).

match files
  /file = *
  /table = 'orphan.sav'
  /by HH1 HH2.

recode nOrphan (0=2) (else=1) into orphan.
variable labels orphan "Household with orphans".
value labels orphan 1 "With at least one orphan" 2 "With no orphans".

weight by hhweight.

compute nhh = 1.
variable labels  nhh "Number of households".
value labels nhh 1 " ".

compute awareEAP=0.
if (ST2$1=1 or ST2$2=1 or ST2$3=1 or ST2$4=1 or ST2$5=1) awareEAP=100.
variable labels awareEAP "Percentage of households who are aware of economic assistance programme".

compute receivedEAP=0.
if (awareEAP=100 and (ST3$1=1 or ST3$2=1 or ST3$3=1 or ST3$4=1 or ST3$5=1)) receivedEAP=100.
variable labels receivedEAP "Percentage of households who are aware and have ever received assistance".

compute total = 1.
variable labels  total "Total".
value labels total 1 " ".

*  For labels in French uncomment commands below.
* variable labels
        orphan "Mnage avec des orphelins"
	   /nhh "Nombre de mnages"
       /awareEAP "Pourcentage de mnages qui connaissent le programme d'aide conomique"
	   /receivedEAP "Pourcentage de mnages qui connaissent et ont dj reu de l'aide"
* value labels orphan 1 "Avec au moins un orphelin" 2 "Sans orphelins".

*  For labels in Spanish uncomment commands below.
* variable labels
        orphan "Hogar con hurfanos"
	   /nhh "Numero de hogares"
       /awareEAP "Porcentaje de hogares que conocen programas de asistencia econmica"
	   /receivedEAP "Porcentaje de hogares que conocen y que alguna vez han recibido asistencia"
* value labels orphan 1 "Con al menos un  hurfano" 2 "Sin hurfanos".

* Ctables command in English (currently active, comment it out if using different language).
ctables
  /table   total [c]
         + HHSEX [c]
         + HH6 [c]
         + HH7 [c]
         + HHAGEx [c]
         + orphan [c]
         + ethnicity [c]
         + windex5 [c]
   by 
             awareEAP [s] [mean '' f5.1] 
         + receivedEAP [s] [mean '' f5.1] 
         + nhh [s] [count '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
    "Table EQ.2.4: Awareness and ever use of external economic support "
    "Percentage of households who are aware and have received external economic support, " + surveyname
.

* Ctables command in French.  
* ctables
ctables
  /table   total [c]
         + HHSEX [c]
         + HH6 [c]
         + HH7 [c]
         + HHAGEx [c]
         + orphan [c]
         + ethnicity [c]
         + windex5 [c]
   by 
             awareEAP [s] [mean '' f5.1] 
         + receivedEAP [s] [mean '' f5.1] 
         + nhh [s] [count '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
    "Tableau EQ.2.4: Connaissance et utilisation de l'aide conomique externe"
    "Pourcentage de mnages qui connaissent et ont reu un soutien conomique externe, " + surveyname
.
         
* Ctables command in Spanish.  
* ctables
ctables
  /table   total [c]
         + HHSEX [c]
         + HH6 [c]
         + HH7 [c]
         + HHAGEx [c]
         + orphan [c]
         + ethnicity [c]
         + windex5 [c]
   by 
             awareEAP [s] [mean '' f5.1] 
         + receivedEAP [s] [mean '' f5.1] 
         + nhh [s] [count '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
    "Tabla EQ.2.4: Conciencia y uso constante de apoyo econmico externo"
    "Porcentaje de hogares que conocen y han recibido apoyo econmico externo, " + surveyname
.

                            
new file.

erase file "orphan.sav".
