* Encoding: windows-1252.
 * Households that received social transfers or benefits in the last 3 months: ST4A, ST4B, ST4C, ST4D, or ST4X=100, 101, 102, or 103 or, for any member age 5-24, ED12=1 or ED14=1)

***.


* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = 'hh.sav'.

include "CommonVarsHH.sps".

select if (HH46  = 1).

compute Socialtransfer1=0.
if (ST4U$1=1 and ST4N$1<=3) Socialtransfer1=100.
variable labels Socialtransfer1 "Assistance type 1".

compute Socialtransfer2=0.
if (ST4U$2=1 and ST4N$2<=3) Socialtransfer2=100.
variable labels Socialtransfer2 "Assistance type 2".

compute Socialtransfer3=0.
if (ST4U$3=1 and ST4N$3<=3) Socialtransfer3=100.
variable labels Socialtransfer3 "Assistance type 3".

compute SocialtransferPension=0.
if (ST4U$4=1 and ST4N$4<=3) SocialtransferPension=100.
variable labels SocialtransferPension "Any retirement pension	".

compute SocialtransferOther=0.
if (ST4U$5=1 and ST4N$5<=3) SocialtransferOther=100.
variable labels SocialtransferOther "Any other external assistance program".

save outfile= "tmpHH.sav"
 /keep HH1 HH2 Socialtransfer1 Socialtransfer2 Socialtransfer3 SocialtransferPension SocialtransferOther HHSEX HHAGEy.

new file.

get file= 'hl.sav'.

match files
  /file = *
  /table = "tmpHH.sav"
  /by HH1 HH2.

compute EDsupport=0.
if (ED12=1 or ED14=1) EDsupport=1.

aggregate
  /break   = HH1 HH2
  /nEDsupport  = sum(EDsupport).

compute EDsupport=0.
if nEDsupport>0  EDsupport=100.
variable labels EDsupport "School tuition or school related other support for any household member age 5-24".

compute any=0.
if (Socialtransfer1=100 or Socialtransfer2=100 or Socialtransfer3=100 or SocialtransferPension=100 or SocialtransferOther=100 or EDsupport=100) any=100.
variable labels any "Any social transfers or benefits [1]".

compute none=0.
if (any=0) none=100.
variable labels none "No social transfers or benefits".

select if (HL6 <18).

weight by hhweight.

compute layer1 = 0.
variable labels layer1 " ".
value labels layer1 0 "Percentage of children living in households receiving specific types of support in the last 3 months:".

compute nhh = 1.
variable labels  nhh "Number of children under age 18".
value labels nhh 1 " ".

compute total = 1.
variable labels  total "Total".
value labels total 1 " ".


*  For labels in French uncomment commands below.
* variable labels
     nhh "Nombre d'enfants de moins de 18 ans"
	/none "Aucun transfert ou avantage social"	
	/any "Tout transfert ou avantage social [1]"
	/EDsupport "Frais de scolarit ou autre soutien li  l'cole pour tout membre du mnage g de 5  24 ans"
	/SocialtransferOther "Tout autre programme d'aide extrieure"
	/SocialtransferPension "Toute pension de retraite"
	/Socialtransfer1 " Argent comptant pour le travail"
	/Socialtransfer2 " Filet de scurit sociale"
	/Socialtransfer3 " Rapide EBOLA filet de scurit sociale (RE-SSN)".	
* value labels layer1 0 "Pourcentage de mnages bnficiant de types de soutien spcifiques au cours des trois derniers mois:".

*  For labels in Spanish uncomment commands below.
* variable labels
	none "Sin transferencias sociales o beneficios"	
	/any "Cualquier transferencia o beneficio social [1]"
	/EDsupport "Matrcula escolar o apoyo relacionado con la escuela para cualquier miembro de la familia de 5 a 24 aos de edad"
	/SocialtransferOther "Cualquier otro programa de asistencia externa"
	/SocialtransferPension "Cualquier pensin de jubilacin"
	/Socialtransfer1 " Asistencia Tipo I"
	/Socialtransfer2 " Asistencia Tipo II"
	/Socialtransfer3 " Asistencia Tipo III"
    /nhh "Nmero de nios menores de 18 aos".
* value labels layer1 0 "Porcentaje del hogar que viven en hogares que reciben tipos especficos de apoyo en los ltimos 3 meses:".

* Ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables = layer1
           display = none
  /table   total [c]
         + HHSEX [c]
         + HH6 [c]
         + HH7 [c]
         + HHAGEy [c]
         + helevel [c]
         + ethnicity [c]
         + windex5 [c]
   by 
            layer1 [c] > 
           (Socialtransfer1 [s] [mean '' f5.1] 
         + Socialtransfer2 [s] [mean '' f5.1] 
         + Socialtransfer3 [s] [mean '' f5.1] 
         + SocialtransferPension [s] [mean '' f5.1] 
         + SocialtransferOther [s] [mean '' f5.1]
         + EDsupport [s] [mean '' f5.1] )
         + any [s] [mean '' f5.1]
         + none [s] [mean '' f5.1]
         + nhh [s] [count '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
    "Table EQ.2.7: Coverage of social transfers and benefits: Children in all households"
    "Percentage of children under age 18 living in households that received social transfers or benefits in the last 3 months, by type of transfers or benefits, " + surveyname
   caption =
     "[1] MICS indicator EQ.5 - Children in the households that received any type of social transfers".

                            
* Ctables command in French.  
* ctables
  /vlabels variables = layer1
           display = none
  /table   total [c]
         + HHSEX [c]
         + HH6 [c]
         + HH7 [c]
         + HHAGEy [c]
         + helevel [c]
         + ethnicity [c]
         + windex5 [c]
   by 
            layer1 [c] > 
           (Socialtransfer1 [s] [mean '' f5.1] 
         + Socialtransfer2 [s] [mean '' f5.1] 
         + Socialtransfer3 [s] [mean '' f5.1] 
         + SocialtransferPension [s] [mean '' f5.1] 
         + SocialtransferOther [s] [mean '' f5.1]
         + EDsupport [s] [mean '' f5.1] )
         + any [s] [mean '' f5.1]
         + none [s] [mean '' f5.1]
         + nhh [s] [count '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
    "Tableau EQ.2.7: Couverture des transferts sociaux et des prestations: Enfants dans tous les mnages"
    "Pourcentage d'enfants de moins de 18 ans vivant dans des mnages ayant bnfici de transferts sociaux ou d'avantages sociaux au cours des 3 derniers mois, par type de transferts ou d'avantages sociaux, " + surveyname
   caption =
     "[1] Indicateur MICS EQ.5 - Enfants dans les mnages ayant bnfici d'un type quelconque de transferts sociaux".


                            
* Ctables command in Spanish.  
* ctables
  /vlabels variables = layer1
           display = none
  /table   total [c]
         + HHSEX [c]
         + HH6 [c]
         + HH7 [c]
         + HHAGEy [c]
         + helevel [c]
         + ethnicity [c]
         + windex5 [c]
   by 
            layer1 [c] > 
           (Socialtransfer1 [s] [mean '' f5.1] 
         + Socialtransfer2 [s] [mean '' f5.1] 
         + Socialtransfer3 [s] [mean '' f5.1] 
         + SocialtransferPension [s] [mean '' f5.1] 
         + SocialtransferOther [s] [mean '' f5.1]
         + EDsupport [s] [mean '' f5.1] )
         + any [s] [mean '' f5.1]
         + none [s] [mean '' f5.1]
         + nhh [s] [count '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
    "Tabla EQ.2.7: Cobertura de transferencias y beneficios sociales: Nios en todos los hogares"
    "Porcentaje de nios menores de 18 aos que viven en hogares que recibieron transferencias o beneficios sociales en los ltimos 3 meses, por tipo de transferencias o beneficios, " + surveyname
   caption =
     "[1] MICS indicador EQ.5 - Nios/as en los hogares que recibieron algn tipo de transferencia social".

new file.

erase file "tmpHH.sav".
