* Encoding: windows-1252.
* Updated 4/13/2015.
* weight by wmweight added to the syntax.

* Call include file for the working directory and the survey name.
include "surveyname.sps".

* Open the women data file.
get file = 'wm.sav'.

select if (WM17 = 1).

weight by wmweight.

compute layer = 1.
compute tot1 = 100.
compute total = 1.
compute wmyb = 0.
compute wyab   = 0.
compute wyb   = 0.
compute wab   = 0.
compute wnd   = 0.


* Year and month of birth.
if (WB3M < 97 and WB3Y < 9997) wmyb = 100.  
* Year of birth and age.
if (WB3M >= 97 and WB3Y < 9997 and WB4 < 97) wyab = 100.  
* Age only.
if (WB3M >= 97 and WB3Y >= 9997 and WB4 < 97) wab = 100.  
* Year of birth only.
if (WB3M >= 97 and WB3Y< 9997 and WB4 >= 97) wyb = 100.
* Other/DK/Missing.
if (wmyb = 0 and wyab = 0 and wyb = 0 and wab = 0) wnd = 100.

compute wn = 1.

value labels tot1 1 " ".
variable labels tot1 "Total".
variable labels total "Total".
value labels total 1 " " .
variable labels wn " ".
value labels wn 1 "Number of women age 15-49 years" .
variable labels wmyb "Year and month of birth".
variable labels wyab "Year of birth and age".
variable labels wyb "Year of birth only".
variable labels wab "Age only".
variable labels wnd "Other/DK/Missing".
value labels layer 1 " Completeness of reporting of date of birth and age".

* For labels in French uncomment commands below.
*value labels wn 1 "Nombre  de femmes de 15-49 ans " .
*variable labels wmyb "Anne et mois de naissance ".
*variable labels wyab "Anne de naissance et ge".
*variable labels wyb "Anne de naissance seulement ".
*variable labels wab "Age seulement ".
*variable labels wnd "Autres/NSP/Manquant".
*value labels layer 1 " Compltude de l'information sur la date de naissance et l'ge".

* For labels in Spanish uncomment commands below.
*value labels wn 1 "Nmero de mujeres de 15-49 aos" .
*variable labels wmyb "Ao y mes de nacimiento".
*variable labels wyab "Ao de nacimiento y edad".
*variable labels wyb "Solamente ao de nacimiento".
*variable labels wab "Solamente edad".
*variable labels wnd "Otro/NS/Ignorado".
*value labels layer 1 " Completitud del reporte de fecha de nacimiento y edad".

ctables
  /vlabels variables = layer wn
         display = none
   /table total [c] + hh6 [c] + hh7 [c] + wage [c] by 
    layer [c] > (wmyb [s] [mean '' f5.1] + wyab [s] [mean '' f5.1] + wyb [s] [mean '' f5.1] +
    wab [s] [mean '' f5.1] + wnd [s] [mean '' f5.1]) + tot1 [s] [mean '' f5.1] + wn [c] [count '' f5.0]  
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
   "Table DQ.2.2W: Birth date and age reporting (women)"
   "Percent distribution of women age 15-49 years by completeness of date of birth/age information, " + surveyname.

*Ctables in French.
*ctables
  /vlabels variables = layer wn
         display = none
   /table total [c] + hh6 [c] + hh7 [c] + wage [c] by 
    layer [c] > (wmyb [s] [mean '' f5.1] + wyab [s] [mean '' f5.1] + wyb [s] [mean '' f5.1] +
    wab [s] [mean '' f5.1] + wnd [s] [mean '' f5.1]) + tot1 [s] [mean '' f5.1] + wn [c] [count '' f5.0]  
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
   "Tableau DQ.2.2W: Rapportage sur la date de naissance et l'ge : femmes"
   "Distribution en pourcentage des femmes de 15-49 ans selon la compltude de l'information sur date de naissance/ge, " + surveyname.
   
*Ctables in Spanish.
*ctables
  /vlabels variables = layer wn
         display = none
   /table total [c] + hh6 [c] + hh7 [c] + wage [c] by 
    layer [c] > (wmyb [s] [mean '' f5.1] + wyab [s] [mean '' f5.1] + wyb [s] [mean '' f5.1] +
    wab [s] [mean '' f5.1] + wnd [s] [mean '' f5.1]) + tot1 [s] [mean '' f5.1] + wn [c] [count '' f5.0]  
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
   "Tabla DQ.2.2W: Reporte de fecha de nacimiento y edad (mujeres)"
   "Distribucin porcentual de mujeres de 15-49 aos por completitud de la fecha de nacimiento/informacin de la edad, " + surveyname.

new file.			
