* Encoding: windows-1252.
* Call include file for the working directory and the survey name.
include "surveyname.sps".

* Household.
get file = 'hh.sav'.

select if (HH46 = 1).

weight by hhweight.

compute wqtest = 0.
if (HH9 = 1) wqtest = 100.
variable labels wqtest "Selected for Water Quality Testing questionnaire".

compute hhtest = 0.
if (WQ31 = 1) hhtest = 100.
variable labels hhtest "With completed Water Quality Testing questionnaire".

compute hhtest1 = 0.
if (WQ11=1 and (WQ26>=0 and WQ26<996)) hhtest1 = 100.
variable labels hhtest1 "Household".

compute hhtest2 = 0.
if (WQ19=1 and (WQ27>=0 and WQ27<996)) hhtest2 = 100.
variable labels hhtest2 "Source".

compute sblank = 0.
if (HH10 = 1) sblank = 1.
variable labels sblank "Number of households selected for blank test [A]".

do if sblank = 1.

+compute nblank = 0.
+if (WQ21 = 1) nblank = 1.
+variable labels nblank "Number of blank tests completed".

+compute blank = 0.
+if (HH10=1 and WQ21=1 and (WQ29>0 and WQ29<996)) blank = 100.
+variable labels blank "Percentage of positive blank tests".

end if.

compute hn = 1.
variable labels hn "".
value labels hn 1 "Total number of households in sample".

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

compute layer = 0.
variable labels layer "".
value labels layer 0 "Percentage of households:".

compute layer1 = 0.
variable labels layer1 " ".
value labels layer1 0 "With complete water quality test for:".

*  For labels in French uncomment commands below.
* variable labels 
   wqtest "Slectionn pour le questionnaire sur la qualit de l'eau"
  /hhtest "Avec le questionnaire complt sur le test de qualit de l'eau"
  /hhtest1 "Mnage"
  /hhtest2 "Source"
  /sblank "Nombre de mnages slectionns pour un test  blanc [A]"
  /nblank "Nombre de tests blanc termins"
  /blank "Pourcentage de tests  blanc positifs".
* value labels layer 0 "Pourcentage de mnage".
* value labels layer1 0 "Avec un test complet de qualit de l'eau pour :".
* value labels hn 1 "Nombre total de mnages dans l'chantillon".

*  For labels in Spanish uncomment commands below.
* variable labels 
   wqtest "Seleccionado para el cuestionario de prueba de calidad del agua"
  /hhtest "Con el cuestionario de prueba de calidad del agua completado"
  /hhtest1 "Hogar"
  /hhtest2 "Fuente"
  /sblank "Nmero de hogares seleccionados para la prueba en blanco [A]"
  /nblank "Nmero de pruebas en blanco completadas"
  /blank "Porcentaje de pruebas en blanco positivas".
* value labels layer 0 "Porcentaje de hogares".
* value labels layer1 0 "Con una prueba de calidad de agua completa para:".
* value labels hn 1 "Nmero total de hogares en la muestra".

ctables
  /vlabels variables =  layer layer1 hn
         display = none
   /table total [c] + hh6 [c] by 
    layer [c] > (wqtest [s] [mean '' f5.1] + hhtest [s] [mean '' f5.1] + layer1 [c] > (hhtest1 [s] [mean '' f5.1] + hhtest2 [s][mean '' f5.1])) + hn [c] [count '' f5.0] +
    blank [s] [mean '' f5.1] + nblank [s] [sum '' f5.0] + sblank [s][sum '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
   "Table DQ.3.2: Completeness and quality of information of water quality testing"
   "Percentage of households selected and completed household and source water quality testing and percentage of positive blank tests by area, " + surveyname
  caption = "[A] One blank test (a test of uncontaminated water) was designed to be performed in each cluster. For practical reasons, the blank test was assigned to one of the households selected for water quality testing."
  .

* Ctables command in French.  
* ctables
  /vlabels variables =  layer layer1 hn
         display = none
   /table total [c] + hh6 [c] by 
    layer [c] > (wqtest [s] [mean '' f5.1] + hhtest [s] [mean '' f5.1] + layer1 [c] > (hhtest1 [s] [mean '' f5.1] + hhtest2 [s][mean '' f5.1])) + hn [c] [count '' f5.0] +
    blank [s] [mean '' f5.1] + nblank [s] [sum '' f5.0] + sblank [s][sum '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
   "Tableau DQ.3.2: Compltude et qualit de l'information sur les tests de qualit de l'eau"
   "Pourcentage de mnages slectionns et complts pour les tests de qualit de l'eau  la maison et  la source et pourcentage de tests  blanc positifs, par milieu, " + surveyname
  caption = "[A] Un essai  blanc (un test d'eau non contamine) a t conu pour tre effectu dans chaque groupe. Pour des raisons pratiques, le test du blanc a t assign  l'un des mnages slectionns pour les tests de qualit de l'eau."
  .	

  * Ctables command in Spanish.  
* ctables
  /vlabels variables =  layer layer1 hn
         display = none
   /table total [c] + hh6 [c] by 
    layer [c] > (wqtest [s] [mean '' f5.1] + hhtest [s] [mean '' f5.1] + layer1 [c] > (hhtest1 [s] [mean '' f5.1] + hhtest2 [s][mean '' f5.1])) + hn [c] [count '' f5.0] +
    blank [s] [mean '' f5.1] + nblank [s] [sum '' f5.0] + sblank [s][sum '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
   "Tabla DQ.3.2: Completitud y calidad de la informacin de la prueba de calidad del agua"
   "Porcentaje de hogares que se seleccionaron y las pruebas de calidad del agua y del hogar y de la fuente y porcentaje de pruebas en blanco positivas por rea, " + surveyname
  caption = "[A] Se dise una prueba en blanco (una prueba de agua no contaminada) para realizar en cada grupo. Por razones prcticas, la prueba en blanco fue asignada a uno de los hogares seleccionados para la prueba de calidad del agua."
  .	

new file.	