﻿* Encoding: windows-1252.
get file = 'mn.sav'.

select if (MWM17 = 1).

weight by mnweight.

do if (sysmis(MMA5) or MMA5 <> 3).

compute layer1 = 0.
variable labels layer1 "".
value labels layer1 0 "Ever married (age 15-49 years)".

+ compute mmfm = 0.
+ compute mwmfm   = 0.
+ compute mwyfm = 0.
+ if (MMA8M >= 97 and MMA8Y < 9997) mwmfm = 100.  
+ if (MMA8M >= 97 and MMA8Y >= 9997) mwyfm = 100.  
+ if (MMA8M >= 97 or MMA8Y >= 9997) mmfm = 100.
+ recode MMA11 (97,98,99 = 100) (else = 0) into agefm.

end if.

variable labels mmfm "Date of first marriage/union missing".
variable labels mwmfm "Only month missing".
variable labels mwyfm "Both month and year missing".
variable labels agefm "Age at first marriage/union missing".

do if (MWB4 >= 15 and MWB4 <= 49 and MSB1 <> 0).

compute layer2 = 0.
variable labels layer2 "".
value labels layer2 0 "Ever had sex (age 15-49 years)".

+ compute agefi = 0.
+ compute timesli = 0.
+ recode MSB1 (97,98,99 = 100) (else = 0) into agefi.  
+ if (MSB1 = 95 and MMA11 >= 97) agefi = 100.
+ recode MSB2N (97,98,99 = 100) (sysmis = copy) (else = 0) into timesli.  

end if.

variable labels agefi "Age at first intercourse missing".
variable labels timesli "Time since last intercourse missing".

do if (MWB4 >= 15 and MWB4 <= 24 and MSB1 <> 0).

compute layer3 = 0.
variable labels layer3 "".
value labels layer3 0 "Ever had sex (age 15-24 years)".

+ compute Yagefi = 0.
+ compute Ytimesli = 0.
+ recode MSB1 (97,98,99 = 100) (else = 0) into Yagefi.  
+ if (MSB1 = 95 and MMA11 >= 97) Yagefi = 100.
+ recode MSB2N (97,98,99 = 100) (sysmis = copy) (else = 0) into Ytimesli.  
end if.

variable labels Yagefi "Age at first intercourse missing".
variable labels Ytimesli "Time since last intercourse missing".

*  For labels in French uncomment commands below.
* variable labels 
       mmfm "Date du premier mariage / union manquant"
      /mwmfm "Seul mois manquant"
      /mwyfm "Le mois et l'année manquent"
      /agefm "Âge au premier mariage / union manquant"
	  /agefi "Âge au premier rapport manquant"
      /timesli "Temps écoulé depuis le dernier rapport manquant"
	  /Yagefi "Âge au premier rapport manquant"
	  /Ytimesli "Temps écoulé depuis le dernier rapport manquant".
* value labels layer1 0 "Déjà mariés (15-49 ans)".
* value labels layer2 0 "A déjà eu des relations sexuelles (15-49 ans)".
* value labels layer3 0 "A déjà eu des relations sexuelles (15-24 ans)".

*  For labels in Spanish uncomment commands below.
* variable labels 
       mmfm "Fecha del primer matrimonio/unión faltante"
      /mwmfm "Solo mes faltante"
      /mwyfm "Mes y año faltantes"
      /agefm "Edad al primer matrimonio/unión faltante"
	  /agefi "Edad a la primera relación sexual faltante"
      /timesli "Tiempo transcurrido desde la última relación sexual faltante"
	  /Yagefi "Edad a la primera relación sexual faltante"
	  /Ytimesli "Tiempo transcurrido desde la última relación sexual faltante".
* value labels layer1 0 "Alguna vez casado (15-49 años de edad)".
* value labels layer2 0 "Alguna vez tuvo relaciones sexuales (15-49 años de edad)".
* value labels layer3 0 "Alguna vez tuvo relaciones sexuales (15-24 años de edad)".

CTABLES
  /vlabels variables = layer1 layer2 layer3 display = none
  /TABLE 
  layer1 [c] > 
  (mmfm[S][MEAN,'Percent with missing/ incomplete information[A]',F5.1,VALIDN,'Number of men',F5.0]+
  mwmfm[S][MEAN,'Percent with missing/ incomplete information[A]',F5.1,VALIDN,'Number of men',F5.0]+
  mwyfm[S][MEAN,'Percent with missing/ incomplete information[A]',F5.1,VALIDN,'Number of men',F5.0])+
  agefm[S][MEAN,'Percent with missing/ incomplete information[A]',F5.1,VALIDN,'Number of men',F5.0]+
  layer2 [c] > 
  (agefi[S][MEAN,'Percent with missing/ incomplete information[A]',F5.1,VALIDN,'Number of men',F5.0]+
  timesli[S][MEAN,'Percent with missing/ incomplete information[A]',F5.1,VALIDN,'Number of men',F5.0])+
 layer3 [c] > 
  (Yagefi[S][MEAN,'Percent with missing/ incomplete information[A]',F5.1,VALIDN,'Number of men',F5.0]+
  Ytimesli[S][MEAN,'Percent with missing/ incomplete information[A]',F5.1,VALIDN,'Number of men',F5.0])
  /TITLES TITLE=
   "Table DQ.3.3M: Completeness of information on dates of marriage/union and sexual intercourse (men)"
   "Percentage of men with missing or incomplete information on date of and age at first marriage/union and age at first intercourse and time since last intercourse, " + surveyname
  caption = "[A] Includes Dont know responses".

  * Ctables command in French.  
* ctables
  /vlabels variables = layer1 layer2 layer3 display = none
  /TABLE 
  layer1 [c] > 
  (mmfm[S][MEAN,'Pourcentage d'informations manquantes / incomplètes [A]',F5.1,VALIDN,'Nombre de hommes',F5.0]+
  mwmfm[S][MEAN,'Pourcentage d'informations manquantes / incomplètes [A]',F5.1,VALIDN,'Nombre de hommes',F5.0]+
  mwyfm[S][MEAN,'Pourcentage d'informations manquantes / incomplètes [A]',F5.1,VALIDN,'Nombre de hommes',F5.0])+
  agefm[S][MEAN,'Pourcentage d'informations manquantes / incomplètes [A]',F5.1,VALIDN,'Nombre de hommes',F5.0]+
  layer2 [c] > 
  (agefi[S][MEAN,'Pourcentage d'informations manquantes / incomplètes [A]',F5.1,VALIDN,'Nombre de hommes',F5.0]+
  timesli[S][MEAN,'Pourcentage d'informations manquantes / incomplètes [A]',F5.1,VALIDN,'Nombre de hommes',F5.0])+
 layer3 [c] > 
  (Yagefi[S][MEAN,'Pourcentage d'informations manquantes / incomplètes [A]',F5.1,VALIDN,'Nombre de hommes',F5.0]+
  Ytimesli[S][MEAN,'Pourcentage d'informations manquantes / incomplètes [A]',F5.1,VALIDN,'Nombre de hommes',F5.0])
  /TITLES TITLE=
   "Tableau DQ.3.3M: Complétude des informations sur les dates du mariage / union et des rapports sexuels (Hommes)"
   "Pourcentage de femmes ayant des informations manquantes ou incomplètes sur la date et l'âge au premier mariage / union et l'âge au premier rapport sexuel et le temps écoulé depuis le dernier rapport sexuel, " + surveyname
  caption = "[A] Comprend les réponses «Ne sait pas»".

  
    * Ctables command in Spanish.  
* ctables
  /vlabels variables = layer1 layer2 layer3 display = none
  /TABLE 
  layer1 [c] > 
  (mmfm[S][MEAN,'Porcentaje con información faltante/incompleta [A]',F5.1,VALIDN,'Número de hombres',F5.0]+
  mwmfm[S][MEAN,'Porcentaje con información faltante/incompleta [A]',F5.1,VALIDN,'Número de hombres',F5.0]+
  mwyfm[S][MEAN,'Porcentaje con información faltante/incompleta [A]',F5.1,VALIDN,'Número de hombres',F5.0])+
  agefm[S][MEAN,'Porcentaje con información faltante/incompleta [A]',F5.1,VALIDN,'Número de hombres',F5.0]+
  layer2 [c] > 
  (agefi[S][MEAN,'Porcentaje con información faltante/incompleta [A]',F5.1,VALIDN,'Número de hombres',F5.0]+
  timesli[S][MEAN,'Porcentaje con información faltante/incompleta [A]',F5.1,VALIDN,'Número de hombres',F5.0])+
 layer3 [c] > 
  (Yagefi[S][MEAN,'Porcentaje con información faltante/incompleta [A]',F5.1,VALIDN,'Número de hombres',F5.0]+
  Ytimesli[S][MEAN,'Porcentaje con información faltante/incompleta [A]',F5.1,VALIDN,'Número de hombres',F5.0])
  /TITLES TITLE=
   "Tabla DQ.3.3M:  Completitud de la información de fechas de matrimonio/unión y de relaciones sexuales (hombres)"
   "Porcentaje de hombres con información incompleta o faltante sobre la fecha y edad al primer matrimonio/unión y la edad a la primera relación sexual y el tiempo transcurrido desde la última relación sexual,  " + surveyname
  caption = "[A] Incluye respuestas «No sabe»".

new file.
