* Encoding: windows-1252.
*v.02. 30-06-2014.

include "surveyname.sps".

get file = 'ch.sav'.

select if (UF17 = 1).

weight by chweight.

compute total = 1.
variable labels total  " ".
value labels total 1 "Number of children under 5".

* weight is not measured.
compute wnmeas  = 0.
if (AN8 >= 97 and AN11 < 997) wnmeas = 100.
variable labels wnmeas "Weight not measured".

*length/height is not measured.
compute hnmeas  = 0.
if (AN8 < 97 and AN11 >= 997) hnmeas = 100.
variable labels hnmeas "Length/Height not measured".

compute wgthgt  = 0.
if (AN8 >= 97 and AN11 >= 997) wgthgt = 100.
variable labels wgthgt "Weight and length/height not measured".

*the relationship between the results of the two measurements is found to be outside normal ranges (outliers).
compute flag = 0.
if (WHZFLAG = 1 and wnmeas = 0 and hnmeas = 0 and wgthgt = 0) flag = 100.
variable labels flag "Flagged cases (outliers)".

compute vdatew  = 0.
if (AN8 < 97 and AN11 < 997 and flag = 0) vdatew = 100.
variable labels vdatew "Valid weight and length/height".

compute excluded = 0.
if (wnmeas = 100 or hnmeas = 100 or wgthgt = 100 or flag = 100) excluded = 100.
variable labels excluded "Percent of children excluded from analysis".

compute tot = 100.
variable labels tot "Total".
value labels tot 100 " ".

compute layer = 0.
variable labels layer "".
value labels layer 0 "Reason for exclusion from analysis".

*  For labels in French uncomment commands below.
* variable labels 
     wnmeas "Poids non mesur"
	/hnmeas "Longueur/Taille pas mesure"
	/wgthgt "Poids et Longueur/Taille pas mesurs"
	/flag "Cas marqus comme valeurs aberrantes"
	/vdatew "Poids et longueur/taille valides"
	/excluded "Pourcentage d'enfants exclus de l'analyse".
* value labels total 1 "Nombre d'enfants de moins de 5 ans ".
* value labels layer 0 "Raisons d'exclusion de l'analyse".

*  For labels in Spanish uncomment commands below.
* variable labels 
     wnmeas "Peso no medido"
	/hnmeas "Talla no medida"
	/wgthgt "Peso y talla no medidos"
	/flag "Casos marcados (valores atpicos)"
	/vdatew "Peso y talla vlidos"
    /excluded "Porcentaje de nios excluidos del anlisis".
* value labels total 1 "Nmero de nios menores de 5 aos ".
* value labels layer 0 "Razones para excluirlos del anlisis".

ctables
  /vlabels variables =  total layer
         display = none
  /table tot [c] + CAGE_6 [c]  by 
	vdatew [s] [mean,f5.1] + 	layer[c] >(wnmeas [s] [mean,f5.1]  + hnmeas [s] [mean,f5.1] + wgthgt [s] [mean,f5.1] + flag [s][mean,f5.1] ) + 
                  tot [s] [mean,f5.1] + excluded [s][mean,f5.1]
                + total [c] [count,f5.0]  
  /slabels position = column visible = no
  /titles title = 
   "Table DQ.3.6: Completeness of information for anthropometric indicators: Wasting and overweight"
   "Percent distribution of children under 5 by completeness of information on weight and length or height, " + surveyname.							

* Ctables command in French.  
* ctables
  /vlabels variables =  total layer
         display = none
  /table tot [c] + CAGE_6 [c]  by 
	vdatew [s] [mean,f5.1] + 	layer[c] >(wnmeas [s] [mean,f5.1]  + hnmeas [s] [mean,f5.1] + wgthgt [s] [mean,f5.1] + flag [s][mean,f5.1] ) + 
                  tot [s] [mean,f5.1] + excluded [s][mean,f5.1]
                + total [c] [count,f5.0]  
  /slabels position = column visible = no
  /titles title = 
   "Tableau DQ.3.6: Compltude de l'information pour les indicateurs anthropomtriques : Emaciation"
   "Distribution en pourcentage des enfants de moins de 5 ans par compltude de l'information sur le poids et la longueur/taille, " + surveyname.							

* Ctables command in Spanish.  
* ctables
  /vlabels variables =  total layer
         display = none
  /table tot [c] + CAGE_6 [c]  by 
	vdatew [s] [mean,f5.1] + 	layer[c] >(wnmeas [s] [mean,f5.1]  + hnmeas [s] [mean,f5.1] + wgthgt [s] [mean,f5.1] + flag [s][mean,f5.1] ) + 
                  tot [s] [mean,f5.1] + excluded [s][mean,f5.1]
                + total [c] [count,f5.0]  
  /slabels position = column visible = no
  /titles title = 
   "Table DQ.3.6: Completitud de la informacin para indicadores de antropometra: emaciacin y sobrepeso"
   "Distribucin porcentual de nios menores de 5 aos por completitud de informacin sobre peso y talla, " + surveyname.							

   new file.



