* Encoding: windows-1252.
 * The percent distribution of results of the FL module is based on FL29.

 * The percentage for whom the reading book was not available in appropriate language is (CB7/ED9=1 and FL9>3) or (CB7/ED9=2 or blank and FL7>3).  Note 
   the categories accepted for FL9 and FL7 are those for which no reading book was available). This must be customised in syntax.

 * The percentage with insufficient number recognition skill for testing, are those children who did not recognise 2 of the first 3 numbers in FL23 (FL23A=2).

 * The percentage who did complete reading and comprehension practise are children age 7-9 years old who failed to read every word in the practise sentence correctly (FL14=2) 
    OR who did not answer the comprehension questions correctly (FL15>1 or FL17>1).

* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = 'fs.sav'.
include "CommonVarsFS.sps".

select if (FS17 = 1).

select if (CB3 >=7 and CB3<=14 ).

weight by fshweight.

compute total714 = 1.
variable labels total714  " ".
value labels total714 1 "Number of selected children age 7-14 years".

compute completedLA=0. 
if FL28=1 completedLA=100. 
variable labels completedLA "Completed foundational learning skills (FL) module".

compute incompmother=0. 
if FL28 =3 incompmother=100. 
variable labels incompmother "Mother refused".

compute incompchild=0. 
if FL28 =4 incompchild=100. 
variable labels incompchild "Child refused".

compute incompchildnotathome=0. 
if FL28 =2 incompchildnotathome=100. 
variable labels incompchildnotathome "Child not available".

compute incompOTHER=0. 
if FL28>=5  incompOTHER=100. 
variable labels incompOTHER "Other".

do if FL28=1.
+ compute total714comp = 1.
+ compute readingbook=0. 
+ if ((CB7=1 and FL9>3) or (CB7 <>1 and FL7>3)) readingbook=100. 
+ recode FL23A FL23B FL23C (2=1) (else=0). 
+ compute FL23x=FL23A+FL23B+FL23C.
+ compute numberrecognition =0. 
+ if FL23x>1  numberrecognition=100. 
end if.

variable labels total714comp  " ".
value labels total714comp 1 "Number of children age 7-14 years with completed FL module".

variable labels readingbook "For whom the reading book was not available in appropriate language".
variable labels numberrecognition "With insufficient number recognition skill for testing".

do if CB3<=9 and FL28=1.
+ compute total79comp = 1.
+ compute completedreading=0. 
+ if FL14=2 OR FL15>1 or FL17>1 completedreading=100. 
end if.
variable labels total79comp  " ".
value labels total79comp 1 "Number of children age 7-9 years with completed FL module".

variable labels completedreading "Percentage of children who did complete reading and comprehension practise".

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

compute tot = 100.
variable labels tot "Total".
value labels tot 100 " ".

variable labels CB3 "Age".

compute layer1 = 0.
variable labels layer1 "".
value labels layer1 0 "Percent distribution of children with:".

compute layer2 = 0.
variable labels layer2 "".
value labels layer2 0 "Incomplete FL modules, by reason:".

compute layer3 = 0.
variable labels layer3 "".
value labels layer3 0 "Percent of children:".

*  For labels in French uncomment commands below.
* variable labels 
    completedLA "Module de comptences d'apprentissage de base (FL) complt"
   /incompmother "Mre a refus"
   /incompchild "Enfant a refus"
   /incompchildnotathome "Enfant non disponible"
   /incompOTHER "Autre"
   /readingbook "Pour qui le livret de lecture n'tait pas disponible dans la langue approprie"
   /numberrecognition "Avec une comptence de reconnaissance de nombre insuffisante pour les tests"
   /completedreading "Pourcentage d'enfants qui n'ont pas termin la lecture et la comprhension".
* value labels layer1 0 "Distribution en pourcentage des enfants avec:".
* value labels layer2 0 "Modules FL incompltes, par la raison:".
* value labels layer3 0 "Pourcentage des enfants:".
* value labels total714 1 "Nombre d'enfants slectionns gs de 7-14 ans".
* value labels total714comp 1 "Nombre d'enfants gs de 7-14 ans avec le module FL termin".
* value labels total79comp 1 "Nombre d'enfants gs de 7  9 ans avec module FL termin".

*  For labels in Spanish uncomment commands below.
* variable labels 
    completedLA "El  mdulo de competencias fundacionales para aprendizaje (FL) completado"
   /incompmother "Madre rechaz"
   /incompchild "Nio/a rechaz"
   /incompchildnotathome "Nio/a no disponible"
   /incompOTHER "Otro"
   /readingbook "Para quienes el libro de lectura no estaba disponible en el idioma apropiado"
   /numberrecognition "Con habilidad insuficiente de reconocimiento de nmeros para probarlo"
   /completedreading "Porcentaje de nios que no completaron la prctica de lectura y comprensin".
* variable labels CB3 "Edad".
* value labels layer1 0 "Distribucin porcentual de nios/as con:".
* value labels layer2 0 Mdulos FL incompletos, por razn:".
* value labels layer3 0 "Porcentaje de nios/as:".
* value labels total714 1 "Nmero de nios seleccionados de 7 -14 aos de edad".
* value labels total714comp 1 "Nmero de nios de 7 -14 aos con el mdulo FL completo".
* value labels total79comp 1 "Nmero de nios de 7-9 aos con el mdulo FL completo".

ctables
  /format missing = "na" 
  /vlabels variables =  total714 total714comp total79comp layer1 layer2 layer3
         display = none
  /table total [c] + HH6 [c] + HH7 [c] + CB3 [c]  by 
	layer1 [c] > ( completedLA [s] [mean,f5.1] + layer2 [c] > ( incompmother [s] [mean,f5.1] + incompchild [s] [mean,f5.1] + incompchildnotathome [s] [mean,f5.1] + incompOTHER [s] [mean,f5.1] )) 
                  + tot [s][mean,f5.1] + total714 [c] [count,f5.0]
                  +  layer3 [c] >(readingbook [s] [mean,f5.1] + numberrecognition [s] [mean,f5.1]) + total714comp  [c] [count,f5.0]   
                  + completedreading [s] [mean,f5.1] + total79comp  [c] [count,f5.0]  
  /slabels position = column visible = no
  /titles title=
   "Table DQ.3.8: Completeness of information for foundational learning skills indicators"
   "Percent distribution of selected children age 7-14 years by completion of the foundational learning skills (FL) module, percentage for whom the reading book was unavailable in appropriate language " + 
   "and those with insufficuent number recognition skils for testing, and percentage children age 7-9 years who did not complete the reading and comprehension practise," + surveyname
    caption=
    "na: not applicable".
 
* Ctables command in French.  
* ctables
  /format missing = "na" 
  /vlabels variables =  total714 total714comp total79comp layer1 layer2 layer3
         display = none
  /table total [c] + HH6 [c] + HH7 [c] + CB3 [c]  by 
	layer1 [c] > ( completedLA [s] [mean,f5.1] + layer2 [c] > ( incompmother [s] [mean,f5.1] + incompchild [s] [mean,f5.1] + incompchildnotathome [s] [mean,f5.1] + incompOTHER [s] [mean,f5.1] )) 
                  + tot [s][mean,f5.1] + total714 [c] [count,f5.0]
                  +  layer3 [c] >(readingbook [s] [mean,f5.1] + numberrecognition [s] [mean,f5.1]) + total714comp  [c] [count,f5.0]   
                  + completedreading [s] [mean,f5.1] + total79comp  [c] [count,f5.0]  
  /slabels position = column visible = no
  /titles title=
   "Tableau DQ.3.8: Compltude de l'information pour les indicateurs de comptences d'apprentissage fondamentales"
   "Rpartition en pourcentage des enfants slectionns gs de 7-14 ans par la compltitude du module des comptences d'apprentissage de base (FL), pourcentage pour lequel le livret de lecture n'tait pas disponible dans la langue approprie " + 
   "et ceux avec un nombre insuffisant de tests de reconnaissance et pourcentage d'enfants de 7-9 ans annes qui n'ont pas complt la pratique de lecture et de comprhension," + surveyname   
   caption=
    "na: n'est pas applicable".
	
* Ctables command in Spanish.  
* ctables
  /format missing = "na" 
  /vlabels variables =  total714 total714comp total79comp layer1 layer2 layer3
         display = none
  /table total [c] + HH6 [c] + HH7 [c] + CB3 [c]  by 
	layer1 [c] > ( completedLA [s] [mean,f5.1] + layer2 [c] > ( incompmother [s] [mean,f5.1] + incompchild [s] [mean,f5.1] + incompchildnotathome [s] [mean,f5.1] + incompOTHER [s] [mean,f5.1] )) 
                  + tot [s][mean,f5.1] + total714 [c] [count,f5.0]
                  +  layer3 [c] >(readingbook [s] [mean,f5.1] + numberrecognition [s] [mean,f5.1]) + total714comp  [c] [count,f5.0]   
                  + completedreading [s] [mean,f5.1] + total79comp  [c] [count,f5.0]  
  /slabels position = column visible = no
  /titles title=
   "Tabla DQ.3.8:  Completitud de la informacin para los indicadores de competencias fundacionales para el aprendizaje"
   "Distribucin porcentual de nios/as seleccionados de 7-14 aos de edad por completitud del mdulo de competencias fundacionales para aprendizaje (FL), porcentaje para quienes el libro de lectura no estaba disponible en el lenguaje apropiado " + 
   "y aquellos con habilidades insuficientes para reconocer el nmero y porcentaje de nios/as de 7-9 aos que no completaron la prctica de lectura y comprensin," + surveyname   
   caption=
    "na: no aplicable".

new file.
