﻿* Encoding: windows-1252.
* Call include file for the working directory and the survey name.
include "surveyname.sps".

* Observation of bednets.

get file = "tn.sav".

weight by hhweight.

* The percentage of bednets observed is calculated by the number of bednets observed in the net roster (TN3=1).
compute obs = 0.
if (TN3 = 1) obs = 100.
variable labels obs "Percentage of bednets observed by interviewer".

compute total = 1.
variable labels total " ".
value labels total 1 "Total number of bednets".

compute tot = 1.
variable labels tot "Total".
value labels tot 1 " ".

*  For labels in French uncomment commands below.
* variable labels obs "Pourcentage de moustiquaires observées par l'enquêtrice".
* value labels total 1 "Nombre total de moustiquaires".

*  For labels in Spanish uncomment commands below.
* variable labels obs "Porcentaje de mosquiteros observados por el entrevistador".
* value labels total 1 "Número total de mosquiteros".

ctables
  /vlabels variables = total display = none
  /table tot [c]  + hh6 [c] + hh7 [c] + windex5 [c]  by  
	obs [s] [mean,'' ,f7.1] + total [c][count '' f5.0]
  /categories variables= all empty = exclude
  /slabels visible = no 
  /titles title="Table DQ.4.1: Observation of bednets"  
	"Percentage of bednets in all households observed by the interviewers, "+ surveyname.

* Ctables command in French.  
* ctables
   /vlabels variables = total display = none
  /table tot [c]  + hh6 [c] + hh7 [c] + windex5 [c]  by  
	obs [s] [mean,'' ,f7.1] + total [c][count '' f5.0]
  /categories variables= all empty = exclude
  /slabels visible = no 
  /titles title="Tableau DQ.4.1: Observation des moustiquaires"  
	"Pourcentage de moustiquaires observées par les enquêteurs dans tous les ménages enquêtés, "+ surveyname.

* Ctables command in Spanish.  
* ctables
   /vlabels variables = total display = none
  /table tot [c]  + hh6 [c] + hh7 [c] + windex5 [c]  by  
	obs [s] [mean,'' ,f7.1] + total [c][count '' f5.0]
  /categories variables= all empty = exclude
  /slabels visible = no 
  /titles title="Tabla DQ.4.1: Observación de mosquiteros"  
	"Porcentaje de mosquiteros en todos los hogares observados por los entrevistadores, "+ surveyname.

new file.							


