* Encoding: windows-1252.


* This data quality table is only produced for surveys that have included a birth history.

include "surveyname.sps".

* Please note that the bh.sav file should be the unimputed.
get file = 'bh.sav'.

weight by wmweight.

compute period = trunc((wdoi-BH4C)/60).
variable labels period "Number of years preceding the survey".
value labels period 0 '0-4' 1 '5-9' 2 '10-14' 3 '15-19'.

select if (((BH9U <= 2 and BH9N < 99) or (BH9U=3 and BH9N=1)) and period<=3).

compute total = 1.
value labels total 1 "Total for the 20 years preceding the survey".
if (BH9U=1) BH9N=0.
if (BH9N<=11 and BH9U<=2)  tot1 = 1.
value labels tot1 1 "Total 0-11 months".
if (BH9U=1) BH9N=0.
if (BH9U=3 and BH9N=1) BH9N = 97.
value labels BH9N 97 "Reported as 1 year".
recode BH9N (0=100)(1 thru 11=0)(else=sysmis) into neonat.
variable labels neonat "Percent neonatal [B]".

add value labels bh9n 0 "0 [A]".

*  For labels in French uncomment commands below.
* variable labels 
      period "Nombre d'annes prcdant l'enquete"
	 /neonat "Pourcentage nonatal [B]".
* value labels BH9N 97 "Rapport comme 1 an".															 
* value labels total 1 "Total pour les 20 annes prcendent l'enqute".
* value labels tot1 1 "Total 0-11 mois".								  

*  For labels in Spanish uncomment commands below.
* variable labels 
      period "Nmero de aos anteriores a la encuesta"
	 /neonat "Porcentaje neonatal temprana [B]".
* value labels BH9N 97 "Reported as 1 year".
* value labels total 1 "Total durante los 20 aos anteriores a la encuesta".
* value labels tot1 1 "Total 0-11 meses".	

ctables
  /vlabels variables = total bh9n tot1  display = none
  /table (bh9n + tot1) [c][count comma5.0]  + neonat [s][mean f5.1] by (period + total) [c] 
  /slabels position=row visible = no
  /titles title=
    "Table DQ.6.4: Reporting of age at death in months" 
  	"Distribution of reported deaths under two years of age by age at death in months and the percentage of infant deaths " +
                  "reported to occur at age under one month, for the 5-year periods of birth preceding the survey (imputed), " + surveyname
  corner="Age at death (in months)"
  caption=
		"[A] Includes deaths under one month reported in days"
		"[B] Deaths under one month, divided by deaths under one year".

* Ctables command in French.  
* ctables
  /vlabels variables = total bh9n tot1  display = none
  /table (bh9n + tot1) [c][count comma5.0]  + neonat [s][mean f5.1] by (period + total) [c] 
  /slabels position=row visible = no
  /titles title=
    "Tableau DQ.6.4: Rapportage de l'ge au dcs en mois" 
  	"Distribution du nombre de dcs rapports  moins de 2 ans d'ge par ge au dcs en mois et pourcentage de dcs infantiles " +
                  "rapports tre arrivs  moins d'un mois d'ge, par priodes de 5 ans prcdent l'enqute (imput), " + surveyname
  corner="Age au dcs (en mois)"
  caption=
		"[A] Comprend les dcs de moins d'un mois dclars en jours"
		"[B] Dcs infrieurs  un mois, diviss par les dcs de moins d'un an".

* Ctables command in Spanish.  
* ctables
  /vlabels variables = total bh9n tot1  display = none
  /table (bh9n + tot1) [c][count comma5.0]  + neonat [s][mean f5.1] by (period + total) [c] 
  /slabels position=row visible = no
  /titles title=
    "Tabla DQ.6.4: Reporte de edad al fallecimiento en meses" 
  	"Distribucin de muertes reportadas antes de los dos aos de edad por edad al fallecimiento en meses y porcentaje de muertes infantiles " +
                  "ocurridas antes de un mes de edad, por periodos quinquenales de nacimientos anteriores a la encuesta  (imputados), " + surveyname
  corner="Edad al fallecimiento (meses)"
  caption=
		"[A] Incluye muertes anteriores a un mes reportadas en das"
		"[B] Muertes anteriores a un mes, divididas por muertes anteriores a un ao".

new file.