* Encoding: windows-1252.
* Direct estimation of fertility with sampling errors - Trevor Croft (trevor.croft@icfi.com) June 12, 2014.

* Main program - calls.
*  SE MICS6 - 06 - fert_b.sps  for calculation of births.
*  SE MICS6 - 06 - fert_e.sps  for calculation of exposure.
*  SE MICS6 - 06 - fert_c.sps  for calculation of probabilities and rates, and final tables.

include "surveyname.sps".

* National fertility estimates.
define subgroupname ()
'(Total)'
!enddefine.
define subgroup ()
use all.
!enddefine.

include 'surveyname.sps'. 
include 'SE MICS6 - 06 - fert_b.sps'.	
include 'SE MICS6 - 06 - fert_e.sps'.		 
include 'SE MICS6 - 06 - fert_c.sps'.		 

* Region 1.
define subgroupname ()
'(Region 1)'
!enddefine.
define subgroup ()
select if (HH7 = 1).
!enddefine.

include 'surveyname.sps'. 
include 'SE MICS6 - 06 - fert_b.sps'.	 
include 'SE MICS6 - 06 - fert_e.sps'.	 
include 'SE MICS6 - 06 - fert_c.sps'.	 

* Region 2.
define subgroupname ()
'(Region 2)'
!enddefine.
define subgroup ()
select if (HH7 = 2).
!enddefine.

include 'surveyname.sps'. 
include 'SE MICS6 - 06 - fert_b.sps'.		 
include 'SE MICS6 - 06 - fert_e.sps'.		 
include 'SE MICS6 - 06 - fert_c.sps'.		 

* Region 3.
define subgroupname ()
'(Region 3)'
!enddefine.
define subgroup ()
select if (HH7 = 3).
!enddefine.

include 'surveyname.sps'. 
include 'SE MICS6 - 06 - fert_b.sps'.		 
include 'SE MICS6 - 06 - fert_e.sps'.		 
include 'SE MICS6 - 06 - fert_c.sps'.		 

* Region 4.
define subgroupname ()
'(Region 4)'
!enddefine.
define subgroup ()
select if (HH7 = 4).
!enddefine.

include 'surveyname.sps'. 
include 'SE MICS6 - 06 - fert_b.sps'.		 
include 'SE MICS6 - 06 - fert_e.sps'.		 
include 'SE MICS6 - 06 - fert_c.sps'.		

* Region 5.
define subgroupname ()
'(Region 5)'
!enddefine.
define subgroup ()
select if (HH7 = 5).
!enddefine.

include 'surveyname.sps'. 
include 'SE MICS6 - 06 - fert_b.sps'.		 
include 'SE MICS6 - 06 - fert_e.sps'.		 
include 'SE MICS6 - 06 - fert_c.sps'.	

* Urban.
define subgroupname ()
'(Urban)'
!enddefine.
define subgroup ()
select if (HH6 = 1).
!enddefine.

include 'surveyname.sps'. 
include 'SE MICS6 - 06 - fert_b.sps'.		 
include 'SE MICS6 - 06 - fert_e.sps'.		 
include 'SE MICS6 - 06 - fert_c.sps'.		 

* Rural.
define subgroupname ()
'(Rural)'
!enddefine.
define subgroup ()
select if (HH6 = 2).
!enddefine.

include 'surveyname.sps'. 
include 'SE MICS6 - 06 - fert_b.sps'.		 
include 'SE MICS6 - 06 - fert_e.sps'.		 
include 'SE MICS6 - 06 - fert_c.sps'.		 


* Mother's education: None.
define subgroupname ()
'(Mothers education None)'
!enddefine.
define subgroup ()
select if (welevel = 0).
!enddefine.

include 'surveyname.sps'. 
include 'SE MICS6 - 06 - fert_b.sps'.		 
include 'SE MICS6 - 06 - fert_e.sps'.		 
include 'SE MICS6 - 06 - fert_c.sps'.		 

* Mother's education: Primary.
define subgroupname ()
'(Mothers education Primary)'
!enddefine.
define subgroup ()
select if (welevel = 1).
!enddefine.

include 'surveyname.sps'. 
include 'SE MICS6 - 06 - fert_b.sps'.		 
include 'SE MICS6 - 06 - fert_e.sps'.		 
include 'SE MICS6 - 06 - fert_c.sps'.		 

* Mother's education: Lower secondary.
define subgroupname ()
'(Mothers education Lower secondary)'
!enddefine.
define subgroup ()
select if (welevel = 2).
!enddefine.

include 'surveyname.sps'. 
include 'SE MICS6 - 06 - fert_b.sps'.		 
include 'SE MICS6 - 06 - fert_e.sps'.		 
include 'SE MICS6 - 06 - fert_c.sps'.		 

* Mother's education: Upper secondary +.
define subgroupname ()
'(Mothers education Upper secondary +)'
!enddefine.
define subgroup ()
select if (welevel = 3).
!enddefine.

include 'surveyname.sps'. 
include 'SE MICS6 - 06 - fert_b.sps'.		 
include 'SE MICS6 - 06 - fert_e.sps'.		 
include 'SE MICS6 - 06 - fert_c.sps'.		

* Wealth index quintile: Poorest.
define subgroupname ()
'(Poorest)'
!enddefine.
define subgroup ()
select if (windex5 = 1).
!enddefine.

include 'surveyname.sps'. 
include 'SE MICS6 - 06 - fert_b.sps'.		 
include 'SE MICS6 - 06 - fert_e.sps'.		 
include 'SE MICS6 - 06 - fert_c.sps'.		 

* Wealth index quintile: Second.
define subgroupname ()
'(Second)'
!enddefine.
define subgroup ()
select if (windex5 = 2).
!enddefine.

include 'surveyname.sps'. 
include 'SE MICS6 - 06 - fert_b.sps'.		 
include 'SE MICS6 - 06 - fert_e.sps'.		 
include 'SE MICS6 - 06 - fert_c.sps'.		 

* Wealth index quintile: Middle.
define subgroupname ()
'(Middle)'
!enddefine.
define subgroup ()
select if (windex5 = 3).
!enddefine.

include 'surveyname.sps'. 
include 'SE MICS6 - 06 - fert_b.sps'.		 
include 'SE MICS6 - 06 - fert_e.sps'.		 
include 'SE MICS6 - 06 - fert_c.sps'.		 

* Wealth index quintile: Fourth.
define subgroupname ()
'(Fourth)'
!enddefine.
define subgroup ()
select if (windex5 = 4).
!enddefine.

include 'surveyname.sps'. 
include 'SE MICS6 - 06 - fert_b.sps'.		
include 'SE MICS6 - 06 - fert_e.sps'.		
include 'SE MICS6 - 06 - fert_c.sps'.		

* Wealth index quintile: Richest.
define subgroupname ()
'(Richest)'
!enddefine.
define subgroup ()
select if (windex5 = 5).
!enddefine.

include 'surveyname.sps'. 
include 'SE MICS6 - 06 - fert_b.sps'.		
include 'SE MICS6 - 06 - fert_e.sps'.		
include 'SE MICS6 - 06 - fert_c.sps'.		

* Ethnicity of household head: Group 1.
define subgroupname ()
'(Group 1)'
!enddefine.
define subgroup ()
select if (ethnicity = 1).
!enddefine.

include 'surveyname.sps'. 
include 'SE MICS6 - 06 - fert_b.sps'.		
include 'SE MICS6 - 06 - fert_e.sps'.		
include 'SE MICS6 - 06 - fert_c.sps'.		

* Ethnicity of household head: Group 2.
define subgroupname ()
'(Group 2)'
!enddefine.
define subgroup ()
select if (ethnicity = 2).
!enddefine.

include 'surveyname.sps'. 
include 'SE MICS6 - 06 - fert_b.sps'.		
include 'SE MICS6 - 06 - fert_e.sps'.		
include 'SE MICS6 - 06 - fert_c.sps'.


* Ethnicity of household head: Group 3.
define subgroupname ()
'(Group 3)'
!enddefine.
define subgroup ()
select if (ethnicity = 3).
!enddefine.

include 'surveyname.sps'. 
include 'SE MICS6 - 06 - fert_b.sps'.		
include 'SE MICS6 - 06 - fert_e.sps'.		
include 'SE MICS6 - 06 - fert_c.sps'.

* Ethnicity of household head: Other.
define subgroupname ()
'(Other)'
!enddefine.
define subgroup ()
select if (ethnicity = 6).
!enddefine.

include 'surveyname.sps'. 
include 'SE MICS6 - 06 - fert_b.sps'.		
include 'SE MICS6 - 06 - fert_e.sps'.		
include 'SE MICS6 - 06 - fert_c.sps'.